Use ${VAR} syntax

This commit is contained in:
Calin Crisan 2019-01-12 17:24:01 +02:00
parent 504b6c3c22
commit 91569adc11
78 changed files with 926 additions and 926 deletions

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.uboot $BOARD_DIR/uInitrd
cp ${IMG_DIR}/rootfs.cpio.uboot ${BOARD_DIR}/uInitrd

View File

@ -1,12 +1,12 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export UBOOT_BIN=$IMG_DIR/u-boot-sunxi-with-spl.bin
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
export UBOOT_BIN=${IMG_DIR}/u-boot-sunxi-with-spl.bin
export UBOOT_SEEK=16
$COMMON_DIR/mkimage.sh
${COMMON_DIR}/mkimage.sh

View File

@ -2,13 +2,13 @@
set -e
UBOOT_HOST_DIR=$TARGET/../build/host-uboot-tools-*
UBOOT_HOST_DIR=${TARGET}/../build/host-uboot-tools-*
cp $IMG_DIR/uImage $BOOT_DIR
cp $IMG_DIR/sun7i-a20-bananapi.dtb $BOOT_DIR
cp ${IMG_DIR}/uImage ${BOOT_DIR}
cp ${IMG_DIR}/sun7i-a20-bananapi.dtb ${BOOT_DIR}
$UBOOT_HOST_DIR/tools/mkimage -C none -A arm -T script -d $BOARD_DIR/boot.cmd $BOOT_DIR/boot.scr
$UBOOT_HOST_DIR/tools/mkimage -C none -A arm -T script -d $BOARD_DIR/boot-fwupdater.cmd $BOOT_DIR/boot-fwupdater.scr
${UBOOT_HOST_DIR}/tools/mkimage -C none -A arm -T script -d ${BOARD_DIR}/boot.cmd ${BOOT_DIR}/boot.scr
${UBOOT_HOST_DIR}/tools/mkimage -C none -A arm -T script -d ${BOARD_DIR}/boot-fwupdater.cmd ${BOOT_DIR}/boot-fwupdater.scr
cp $BOARD_DIR/uInitrd $BOOT_DIR
cp ${BOARD_DIR}/uInitrd ${BOOT_DIR}

View File

@ -1,211 +1,211 @@
#!/bin/sh
if [ -z "$TARGET" ]; then
if [ -z "${TARGET}" ]; then
echo "this script must be invoked from postscript.sh"
exit 1
fi
find $TARGET -name '.empty' | xargs -r rm
find ${TARGET} -name '.empty' | xargs -r rm
# /etc stuff
rm -rf $TARGET/etc/network/
rm -rf $TARGET/etc/dhcp/
rm -rf $TARGET/etc/ssh/
rm -rf $TARGET/etc/rc_keymaps/
rm -rf $TARGET/etc/default/
rm -rf $TARGET/etc/ctdb/
rm -rf $TARGET/etc/sudoers.d/
rm -rf $TARGET/etc/ssl/man
rm -rf $TARGET/etc/ssl/misc
rm -rf $TARGET/etc/ssl/private
rm -rf $TARGET/etc/logrotate.d
rm -rf ${TARGET}/etc/network/
rm -rf ${TARGET}/etc/dhcp/
rm -rf ${TARGET}/etc/ssh/
rm -rf ${TARGET}/etc/rc_keymaps/
rm -rf ${TARGET}/etc/default/
rm -rf ${TARGET}/etc/ctdb/
rm -rf ${TARGET}/etc/sudoers.d/
rm -rf ${TARGET}/etc/ssl/man
rm -rf ${TARGET}/etc/ssl/misc
rm -rf ${TARGET}/etc/ssl/private
rm -rf ${TARGET}/etc/logrotate.d
rm -f $TARGET/etc/rc_maps.cfg
rm -f $TARGET/etc/udev/hwdb.d/20-pci-vendor-model.hwdb
rm -f $TARGET/etc/hostname
rm -f $TARGET/etc/os-release
rm -f $TARGET/etc/hostapd.conf
rm -f ${TARGET}/etc/rc_maps.cfg
rm -f ${TARGET}/etc/udev/hwdb.d/20-pci-vendor-model.hwdb
rm -f ${TARGET}/etc/hostname
rm -f ${TARGET}/etc/os-release
rm -f ${TARGET}/etc/hostapd.conf
# /usr/share stuff
rm -rf $TARGET/usr/share/bash-completion/
rm -rf $TARGET/usr/share/locale/*
rm -rf $TARGET/usr/share/ffmpeg/
rm -rf $TARGET/usr/share/perl5/
rm -rf $TARGET/usr/share/common-lisp/
rm -rf ${TARGET}/usr/share/bash-completion/
rm -rf ${TARGET}/usr/share/locale/*
rm -rf ${TARGET}/usr/share/ffmpeg/
rm -rf ${TARGET}/usr/share/perl5/
rm -rf ${TARGET}/usr/share/common-lisp/
# various binaries
rm -f $TARGET/bin/more
rm -f $TARGET/bin/wdctl
rm -f $TARGET/usr/sbin/readprofile
rm -f $TARGET/sbin/nologin
rm -f $TARGET/bin/mountpoint
rm -f $TARGET/sbin/ldattach
rm -f $TARGET/usr/sbin/ldattach
rm -f $TARGET/sbin/slattach
rm -f $TARGET/sbin/plipconfig
rm -f $TARGET/sbin/fstrim
rm -f $TARGET/usr/sbin/rtcwake
rm -f $TARGET/bin/lsblk
rm -f $TARGET/usr/bin/col
rm -f $TARGET/sbin/fdformat
rm -f $TARGET/sbin/ctrlaltdel
rm -f $TARGET/bin/findmnt
rm -f $TARGET/usr/bin/colcrt
rm -f $TARGET/sbin/fsfreeze
rm -f $TARGET/usr/bin/colrm
rm -f $TARGET/usr/sbin/addpart
rm -f $TARGET/sbin/blkdiscard
rm -f $TARGET/usr/sbin/delpart
rm -f $TARGET/usr/bin/column
rm -f $TARGET/sbin/swapon
rm -f $TARGET/usr/sbin/resizepart
rm -f $TARGET/usr/bin/hexdump
rm -f $TARGET/sbin/swapoff
rm -f $TARGET/usr/bin/rev
rm -f $TARGET/sbin/chcpu
rm -f $TARGET/usr/bin/tailf
rm -f $TARGET/usr/bin/pg
rm -f $TARGET/sbin/blkid
rm -f $TARGET/usr/bin/ul
rm -f $TARGET/sbin/findfs
rm -f $TARGET/sbin/wipefs
rm -f $TARGET/usr/bin/script
rm -f $TARGET/usr/bin/scriptreplay
rm -f $TARGET/sbin/fsck.minix
rm -f $TARGET/sbin/mkfs.minix
rm -f $TARGET/usr/bin/setterm
rm -f $TARGET/usr/bin/flock
rm -f $TARGET/sbin/mkfs
rm -f $TARGET/usr/bin/ipcmk
rm -f $TARGET/sbin/mkfs.bfs
rm -f $TARGET/usr/bin/ipcrm
rm -f $TARGET/usr/bin/ipcs
rm -f $TARGET/sbin/mkswap
rm -f $TARGET/usr/bin/renice
rm -f $TARGET/sbin/swaplabel
rm -f $TARGET/usr/bin/setsid
rm -f $TARGET/sbin/blockdev
rm -f $TARGET/usr/bin/cytune
rm -f $TARGET/usr/bin/setarch
rm -f $TARGET/sbin/sfdisk
rm -f $TARGET/usr/bin/prlimit
rm -f $TARGET/sbin/cfdisk
rm -f $TARGET/usr/bin/lscpu
rm -f $TARGET/usr/bin/unshare
rm -f $TARGET/usr/bin/nsenter
rm -f $TARGET/usr/bin/cal
rm -f $TARGET/usr/bin/look
rm -f $TARGET/usr/bin/mcookie
rm -f $TARGET/usr/bin/namei
rm -f $TARGET/usr/bin/whereis
rm -f $TARGET/usr/bin/lslocks
rm -f $TARGET/usr/bin/uuidgen
rm -f $TARGET/usr/bin/getopt
rm -f $TARGET/bin/isosize
rm -f $TARGET/usr/sbin/fdformat
rm -f $TARGET/usr/bin/linux32
rm -f $TARGET/usr/bin/linux64
rm -f $TARGET/usr/bin/uname26
rm -f $TARGET/bin/zcat
rm -f $TARGET/bin/zcmp
rm -f $TARGET/bin/zdiff
rm -f $TARGET/bin/zegrep
rm -f $TARGET/bin/zfgrep
rm -f $TARGET/bin/zforce
rm -f $TARGET/bin/zgrep
rm -f $TARGET/bin/zless
rm -f $TARGET/bin/zmore
rm -f $TARGET/bin/znew
rm -f $TARGET/bin/gzexe
rm -f $TARGET/bin/uncompress
rm -f $TARGET/usr/bin/slogin
rm -f $TARGET/usr/bin/ssh-keyscan
rm -f $TARGET/usr/bin/ssh-add
rm -f $TARGET/usr/bin/ssh-agent
rm -f $TARGET/usr/bin/xmllint
rm -f ${TARGET}/bin/more
rm -f ${TARGET}/bin/wdctl
rm -f ${TARGET}/usr/sbin/readprofile
rm -f ${TARGET}/sbin/nologin
rm -f ${TARGET}/bin/mountpoint
rm -f ${TARGET}/sbin/ldattach
rm -f ${TARGET}/usr/sbin/ldattach
rm -f ${TARGET}/sbin/slattach
rm -f ${TARGET}/sbin/plipconfig
rm -f ${TARGET}/sbin/fstrim
rm -f ${TARGET}/usr/sbin/rtcwake
rm -f ${TARGET}/bin/lsblk
rm -f ${TARGET}/usr/bin/col
rm -f ${TARGET}/sbin/fdformat
rm -f ${TARGET}/sbin/ctrlaltdel
rm -f ${TARGET}/bin/findmnt
rm -f ${TARGET}/usr/bin/colcrt
rm -f ${TARGET}/sbin/fsfreeze
rm -f ${TARGET}/usr/bin/colrm
rm -f ${TARGET}/usr/sbin/addpart
rm -f ${TARGET}/sbin/blkdiscard
rm -f ${TARGET}/usr/sbin/delpart
rm -f ${TARGET}/usr/bin/column
rm -f ${TARGET}/sbin/swapon
rm -f ${TARGET}/usr/sbin/resizepart
rm -f ${TARGET}/usr/bin/hexdump
rm -f ${TARGET}/sbin/swapoff
rm -f ${TARGET}/usr/bin/rev
rm -f ${TARGET}/sbin/chcpu
rm -f ${TARGET}/usr/bin/tailf
rm -f ${TARGET}/usr/bin/pg
rm -f ${TARGET}/sbin/blkid
rm -f ${TARGET}/usr/bin/ul
rm -f ${TARGET}/sbin/findfs
rm -f ${TARGET}/sbin/wipefs
rm -f ${TARGET}/usr/bin/script
rm -f ${TARGET}/usr/bin/scriptreplay
rm -f ${TARGET}/sbin/fsck.minix
rm -f ${TARGET}/sbin/mkfs.minix
rm -f ${TARGET}/usr/bin/setterm
rm -f ${TARGET}/usr/bin/flock
rm -f ${TARGET}/sbin/mkfs
rm -f ${TARGET}/usr/bin/ipcmk
rm -f ${TARGET}/sbin/mkfs.bfs
rm -f ${TARGET}/usr/bin/ipcrm
rm -f ${TARGET}/usr/bin/ipcs
rm -f ${TARGET}/sbin/mkswap
rm -f ${TARGET}/usr/bin/renice
rm -f ${TARGET}/sbin/swaplabel
rm -f ${TARGET}/usr/bin/setsid
rm -f ${TARGET}/sbin/blockdev
rm -f ${TARGET}/usr/bin/cytune
rm -f ${TARGET}/usr/bin/setarch
rm -f ${TARGET}/sbin/sfdisk
rm -f ${TARGET}/usr/bin/prlimit
rm -f ${TARGET}/sbin/cfdisk
rm -f ${TARGET}/usr/bin/lscpu
rm -f ${TARGET}/usr/bin/unshare
rm -f ${TARGET}/usr/bin/nsenter
rm -f ${TARGET}/usr/bin/cal
rm -f ${TARGET}/usr/bin/look
rm -f ${TARGET}/usr/bin/mcookie
rm -f ${TARGET}/usr/bin/namei
rm -f ${TARGET}/usr/bin/whereis
rm -f ${TARGET}/usr/bin/lslocks
rm -f ${TARGET}/usr/bin/uuidgen
rm -f ${TARGET}/usr/bin/getopt
rm -f ${TARGET}/bin/isosize
rm -f ${TARGET}/usr/sbin/fdformat
rm -f ${TARGET}/usr/bin/linux32
rm -f ${TARGET}/usr/bin/linux64
rm -f ${TARGET}/usr/bin/uname26
rm -f ${TARGET}/bin/zcat
rm -f ${TARGET}/bin/zcmp
rm -f ${TARGET}/bin/zdiff
rm -f ${TARGET}/bin/zegrep
rm -f ${TARGET}/bin/zfgrep
rm -f ${TARGET}/bin/zforce
rm -f ${TARGET}/bin/zgrep
rm -f ${TARGET}/bin/zless
rm -f ${TARGET}/bin/zmore
rm -f ${TARGET}/bin/znew
rm -f ${TARGET}/bin/gzexe
rm -f ${TARGET}/bin/uncompress
rm -f ${TARGET}/usr/bin/slogin
rm -f ${TARGET}/usr/bin/ssh-keyscan
rm -f ${TARGET}/usr/bin/ssh-add
rm -f ${TARGET}/usr/bin/ssh-agent
rm -f ${TARGET}/usr/bin/xmllint
rm -f $TARGET/usr/libexec/ssh-keysign
rm -f $TARGET/usr/libexec/ssh-pkcs11-helper
rm -f $TARGET/usr/libexec/rmt
rm -f ${TARGET}/usr/libexec/ssh-keysign
rm -f ${TARGET}/usr/libexec/ssh-pkcs11-helper
rm -f ${TARGET}/usr/libexec/rmt
# samba4 unneeded stuff
rm -f $TARGET/usr/bin/cifsdd
rm -f $TARGET/usr/bin/containers_*
rm -f $TARGET/usr/bin/ctdb*
rm -f $TARGET/usr/bin/dbwrap_tool
rm -f $TARGET/usr/bin/eventlogadm
rm -f $TARGET/usr/bin/event_rpcgen.py
rm -f $TARGET/usr/bin/gentest
rm -f $TARGET/usr/bin/ldb*
rm -f $TARGET/usr/bin/locktest
rm -f $TARGET/usr/bin/ltdbtool
rm -f $TARGET/usr/bin/masktest
rm -f $TARGET/usr/bin/ndrdump
rm -f $TARGET/usr/bin/net
rm -f $TARGET/usr/bin/ntdb*
rm -f $TARGET/usr/bin/ntlm_auth
rm -f $TARGET/usr/bin/oLschema2ldif
rm -f $TARGET/usr/bin/onnode
rm -f $TARGET/usr/bin/pdbedit
rm -f $TARGET/usr/bin/pidl
rm -f $TARGET/usr/bin/ping_pong
rm -f $TARGET/usr/bin/profiles
rm -f $TARGET/usr/bin/reg*
rm -f $TARGET/usr/bin/rpcclient
rm -f $TARGET/usr/bin/samba-regedit
rm -f $TARGET/usr/bin/sharesec
rm -f $TARGET/usr/bin/smbcacls
rm -f $TARGET/usr/bin/smbcontrol
rm -f $TARGET/usr/bin/smbcquotas
rm -f $TARGET/usr/bin/smbget
rm -f $TARGET/usr/bin/smbspool
rm -f $TARGET/usr/bin/smbstatus
rm -f $TARGET/usr/bin/smbta-util
rm -f $TARGET/usr/bin/smbtar
rm -f $TARGET/usr/bin/smbtree
rm -f $TARGET/usr/bin/smnotify
rm -f $TARGET/usr/bin/tdb*
rm -f $TARGET/usr/bin/testparm
rm -f $TARGET/usr/bin/wbinfo
rm -f $TARGET/usr/sbin/winbindd
rm -rf $TARGET/usr/share/ctdb
rm -f ${TARGET}/usr/bin/cifsdd
rm -f ${TARGET}/usr/bin/containers_*
rm -f ${TARGET}/usr/bin/ctdb*
rm -f ${TARGET}/usr/bin/dbwrap_tool
rm -f ${TARGET}/usr/bin/eventlogadm
rm -f ${TARGET}/usr/bin/event_rpcgen.py
rm -f ${TARGET}/usr/bin/gentest
rm -f ${TARGET}/usr/bin/ldb*
rm -f ${TARGET}/usr/bin/locktest
rm -f ${TARGET}/usr/bin/ltdbtool
rm -f ${TARGET}/usr/bin/masktest
rm -f ${TARGET}/usr/bin/ndrdump
rm -f ${TARGET}/usr/bin/net
rm -f ${TARGET}/usr/bin/ntdb*
rm -f ${TARGET}/usr/bin/ntlm_auth
rm -f ${TARGET}/usr/bin/oLschema2ldif
rm -f ${TARGET}/usr/bin/onnode
rm -f ${TARGET}/usr/bin/pdbedit
rm -f ${TARGET}/usr/bin/pidl
rm -f ${TARGET}/usr/bin/ping_pong
rm -f ${TARGET}/usr/bin/profiles
rm -f ${TARGET}/usr/bin/reg*
rm -f ${TARGET}/usr/bin/rpcclient
rm -f ${TARGET}/usr/bin/samba-regedit
rm -f ${TARGET}/usr/bin/sharesec
rm -f ${TARGET}/usr/bin/smbcacls
rm -f ${TARGET}/usr/bin/smbcontrol
rm -f ${TARGET}/usr/bin/smbcquotas
rm -f ${TARGET}/usr/bin/smbget
rm -f ${TARGET}/usr/bin/smbspool
rm -f ${TARGET}/usr/bin/smbstatus
rm -f ${TARGET}/usr/bin/smbta-util
rm -f ${TARGET}/usr/bin/smbtar
rm -f ${TARGET}/usr/bin/smbtree
rm -f ${TARGET}/usr/bin/smnotify
rm -f ${TARGET}/usr/bin/tdb*
rm -f ${TARGET}/usr/bin/testparm
rm -f ${TARGET}/usr/bin/wbinfo
rm -f ${TARGET}/usr/sbin/winbindd
rm -rf ${TARGET}/usr/share/ctdb
# useless mongodb binaries
rm -f $TARGET/usr/bin/mongos
rm -f $TARGET/usr/bin/mongoperf
rm -f ${TARGET}/usr/bin/mongos
rm -f ${TARGET}/usr/bin/mongoperf
# v4l-utils
rm -f $TARGET/usr/bin/cec-compliance
rm -f $TARGET/usr/bin/cec-ctl
rm -f $TARGET/usr/bin/cec-follower
rm -f $TARGET/usr/bin/dvb-fe-tool
rm -f $TARGET/usr/bin/dvb-format-convert
rm -f $TARGET/usr/bin/dvbv5-daemon
rm -f $TARGET/usr/bin/dvbv5-scan
rm -f $TARGET/usr/bin/dvbv5-zap
rm -f $TARGET/usr/bin/media-ctl
rm -f $TARGET/usr/bin/rds-ctl
rm -f $TARGET/usr/bin/v4l2-compliance
rm -f ${TARGET}/usr/bin/cec-compliance
rm -f ${TARGET}/usr/bin/cec-ctl
rm -f ${TARGET}/usr/bin/cec-follower
rm -f ${TARGET}/usr/bin/dvb-fe-tool
rm -f ${TARGET}/usr/bin/dvb-format-convert
rm -f ${TARGET}/usr/bin/dvbv5-daemon
rm -f ${TARGET}/usr/bin/dvbv5-scan
rm -f ${TARGET}/usr/bin/dvbv5-zap
rm -f ${TARGET}/usr/bin/media-ctl
rm -f ${TARGET}/usr/bin/rds-ctl
rm -f ${TARGET}/usr/bin/v4l2-compliance
# unused python folders
rm -rf $TARGET/usr/lib/python2.7/site-packages/samba/
rm -rf $TARGET/usr/lib/python2.7/ensurepip/
rm -rf $TARGET/usr/lib/python2.7/config/
rm -rf $TARGET/usr/lib/python2.7/unittest/
rm -rf ${TARGET}/usr/lib/python2.7/site-packages/samba/
rm -rf ${TARGET}/usr/lib/python2.7/ensurepip/
rm -rf ${TARGET}/usr/lib/python2.7/config/
rm -rf ${TARGET}/usr/lib/python2.7/unittest/
# buildroot default startup scripts
rm -f $TARGET/etc/init.d/S01logging
rm -f $TARGET/etc/init.d/S10udev
rm -f $TARGET/etc/init.d/S15watchdog
rm -f $TARGET/etc/init.d/S20urandom
rm -f $TARGET/etc/init.d/S49ntp
rm -f $TARGET/etc/init.d/S50sshd
rm -f $TARGET/etc/init.d/S50proftpd
rm -f $TARGET/etc/init.d/S80dhcp-relay
rm -f $TARGET/etc/init.d/S80dhcp-server
rm -f $TARGET/etc/init.d/S80dnsmasq
rm -f $TARGET/etc/init.d/S91smb
rm -f ${TARGET}/etc/init.d/S01logging
rm -f ${TARGET}/etc/init.d/S10udev
rm -f ${TARGET}/etc/init.d/S15watchdog
rm -f ${TARGET}/etc/init.d/S20urandom
rm -f ${TARGET}/etc/init.d/S49ntp
rm -f ${TARGET}/etc/init.d/S50sshd
rm -f ${TARGET}/etc/init.d/S50proftpd
rm -f ${TARGET}/etc/init.d/S80dhcp-relay
rm -f ${TARGET}/etc/init.d/S80dhcp-server
rm -f ${TARGET}/etc/init.d/S80dnsmasq
rm -f ${TARGET}/etc/init.d/S91smb
# other unwanted dirs
rm -rf $TARGET/data/*
rm -rf $TARGET/run
rm -rf ${TARGET}/data/*
rm -rf ${TARGET}/run

View File

@ -1,11 +1,11 @@
#!/bin/bash -e
if [ -z "$IMG_DIR" ] || [ -z "$BOARD" ]; then
if [ -z "${IMG_DIR}" ] || [ -z "${BOARD}" ]; then
echo "this script must be invoked from board specific mkimage.sh"
exit 1
fi
test "root" != "$USER" && exec sudo -E $0 "$@"
test "root" != "${USER}" && exec sudo -E $0 "$@"
function msg() {
echo " * $1"
@ -13,115 +13,115 @@ function msg() {
BOOT_START=${BOOT_START:-1} # MB
BOOT_SRC=$IMG_DIR/boot
BOOT=$IMG_DIR/.boot
BOOT_IMG=$IMG_DIR/boot.img
BOOT_SRC=${IMG_DIR}/boot
BOOT=${IMG_DIR}/.boot
BOOT_IMG=${IMG_DIR}/boot.img
BOOT_SIZE="30" # MB - reserved up to 100 MB
ROOT_START="100" # MB
ROOT_SRC=$IMG_DIR/rootfs.tar
ROOT=$IMG_DIR/.root
ROOT_IMG=$IMG_DIR/root.img
ROOT_SRC=${IMG_DIR}/rootfs.tar
ROOT=${IMG_DIR}/.root
ROOT_IMG=${IMG_DIR}/root.img
ROOT_SIZE="180" # MB
GUARD_SIZE="10" # MB
DISK_SIZE=$((ROOT_START + ROOT_SIZE + GUARD_SIZE))
COMMON_DIR=$(cd $IMG_DIR/../../../board/common; pwd)
OS_NAME=$(source $COMMON_DIR/overlay/etc/version && echo $OS_SHORT_NAME)
COMMON_DIR=$(cd ${IMG_DIR}/../../../board/common; pwd)
OS_NAME=$(source ${COMMON_DIR}/overlay/etc/version && echo ${OS_SHORT_NAME})
# boot filesystem
msg "creating boot loop device"
dd if=/dev/zero of=$BOOT_IMG bs=1M count=$BOOT_SIZE
loop_dev=$(losetup -f --show $BOOT_IMG)
dd if=/dev/zero of=${BOOT_IMG} bs=1M count=${BOOT_SIZE}
loop_dev=$(losetup -f --show ${BOOT_IMG})
msg "creating boot filesystem"
mkfs.vfat -F16 $loop_dev
mkfs.vfat -F16 ${loop_dev}
msg "mounting boot loop device"
mkdir -p $BOOT
mount -o loop $loop_dev $BOOT
mkdir -p ${BOOT}
mount -o loop ${loop_dev} ${BOOT}
msg "copying boot filesystem contents"
cp -r $BOOT_SRC/* $BOOT
cp -r ${BOOT_SRC}/* ${BOOT}
sync
msg "unmounting boot filesystem"
umount $BOOT
umount ${BOOT}
msg "destroying boot loop device ($loop_dev)"
losetup -d $loop_dev
msg "destroying boot loop device (${loop_dev})"
losetup -d ${loop_dev}
sync
# root filesystem
msg "creating root loop device"
dd if=/dev/zero of=$ROOT_IMG bs=1M count=$ROOT_SIZE
loop_dev=$(losetup -f --show $ROOT_IMG)
dd if=/dev/zero of=${ROOT_IMG} bs=1M count=${ROOT_SIZE}
loop_dev=$(losetup -f --show ${ROOT_IMG})
msg "creating root filesystem"
mkfs.ext4 $loop_dev
tune2fs -O^has_journal $loop_dev
mkfs.ext4 ${loop_dev}
tune2fs -O^has_journal ${loop_dev}
msg "mounting root loop device"
mkdir -p $ROOT
mount -o loop $loop_dev $ROOT
mkdir -p ${ROOT}
mount -o loop ${loop_dev} ${ROOT}
msg "copying root filesystem contents"
tar -xpsf $ROOT_SRC -C $ROOT
tar -xpsf ${ROOT_SRC} -C ${ROOT}
# set internal OS name, prefix and version according to env variables
if [ -f $ROOT/etc/version ]; then
if [ -n "$THINGOS_NAME" ]; then
msg "setting OS name to $THINGOS_NAME"
sed -ri "s/OS_NAME=\".*\"/OS_NAME=\"$THINGOS_NAME\"/" $ROOT/etc/version
if [ -f ${ROOT}/etc/version ]; then
if [ -n "${THINGOS_NAME}" ]; then
msg "setting OS name to ${THINGOS_NAME}"
sed -ri "s/OS_NAME=\".*\"/OS_NAME=\"${THINGOS_NAME}\"/" ${ROOT}/etc/version
fi
if [ -n "$THINGOS_SHORT_NAME" ]; then
msg "setting OS short name to $THINGOS_SHORT_NAME"
sed -ri "s/OS_SHORT_NAME=\".*\"/OS_SHORT_NAME=\"$THINGOS_SHORT_NAME\"/" $ROOT/etc/version
if [ -n "${THINGOS_SHORT_NAME}" ]; then
msg "setting OS short name to ${THINGOS_SHORT_NAME}"
sed -ri "s/OS_SHORT_NAME=\".*\"/OS_SHORT_NAME=\"${THINGOS_SHORT_NAME}\"/" ${ROOT}/etc/version
fi
if [ -n "$THINGOS_PREFIX" ]; then
msg "setting OS prefix to $THINGOS_PREFIX"
sed -ri "s/OS_PREFIX=\".*\"/OS_PREFIX=\"$THINGOS_PREFIX\"/" $ROOT/etc/version
if [ -n "${THINGOS_PREFIX}" ]; then
msg "setting OS prefix to ${THINGOS_PREFIX}"
sed -ri "s/OS_PREFIX=\".*\"/OS_PREFIX=\"${THINGOS_PREFIX}\"/" ${ROOT}/etc/version
fi
if [ -n "$THINGOS_VERSION" ]; then
msg "setting OS version to $THINGOS_VERSION"
sed -ri "s/OS_VERSION=\".*\"/OS_VERSION=\"$THINGOS_VERSION\"/" $ROOT/etc/version
if [ -n "${THINGOS_VERSION}" ]; then
msg "setting OS version to ${THINGOS_VERSION}"
sed -ri "s/OS_VERSION=\".*\"/OS_VERSION=\"${THINGOS_VERSION}\"/" ${ROOT}/etc/version
fi
fi
msg "unmounting root filesystem"
umount $ROOT
umount ${ROOT}
msg "destroying root loop device ($loop_dev)"
losetup -d $loop_dev
msg "destroying root loop device (${loop_dev})"
losetup -d ${loop_dev}
sync
DISK_IMG=$IMG_DIR/disk.img
BOOT_IMG=$IMG_DIR/boot.img
ROOT_IMG=$IMG_DIR/root.img
DISK_IMG=${IMG_DIR}/disk.img
BOOT_IMG=${IMG_DIR}/boot.img
ROOT_IMG=${IMG_DIR}/root.img
if ! [ -r $BOOT_IMG ]; then
if ! [ -r ${BOOT_IMG} ]; then
echo "boot image missing"
exit -1
fi
if ! [ -r $ROOT_IMG ]; then
if ! [ -r ${ROOT_IMG} ]; then
echo "root image missing"
exit -1
fi
# disk image
msg "creating disk loop device"
dd if=/dev/zero of=$DISK_IMG bs=1M count=$DISK_SIZE
if [ -n "$UBOOT_BIN" ] && [ -n "$UBOOT_SEEK" ]; then
dd if=/dev/zero of=${DISK_IMG} bs=1M count=${DISK_SIZE}
if [ -n "${UBOOT_BIN}" ] && [ -n "${UBOOT_SEEK}" ]; then
msg "copying u-boot image"
dd conv=notrunc if=$UBOOT_BIN of=$DISK_IMG bs=512 seek=$UBOOT_SEEK
dd conv=notrunc if=${UBOOT_BIN} of=${DISK_IMG} bs=512 seek=${UBOOT_SEEK}
fi
loop_dev=$(losetup -f --show $DISK_IMG)
loop_dev=$(losetup -f --show ${DISK_IMG})
msg "partitioning disk"
set +e
fdisk -u=sectors $loop_dev <<END
fdisk -u=sectors ${loop_dev} <<END
o
n
p
@ -145,36 +145,36 @@ set -e
sync
msg "reading partition offsets"
boot_offs=$(fdisk -u=sectors -l $loop_dev | grep -E 'loop([[:digit:]])+p1' | tr -d '*' | tr -s ' ' | cut -d ' ' -f 2)
root_offs=$(fdisk -u=sectors -l $loop_dev | grep -E 'loop([[:digit:]])+p2' | tr -d '*' | tr -s ' ' | cut -d ' ' -f 2)
boot_offs=$(fdisk -u=sectors -l ${loop_dev} | grep -E 'loop([[:digit:]])+p1' | tr -d '*' | tr -s ' ' | cut -d ' ' -f 2)
root_offs=$(fdisk -u=sectors -l ${loop_dev} | grep -E 'loop([[:digit:]])+p2' | tr -d '*' | tr -s ' ' | cut -d ' ' -f 2)
msg "destroying disk loop device ($loop_dev)"
losetup -d $loop_dev
msg "destroying disk loop device (${loop_dev})"
losetup -d ${loop_dev}
msg "creating boot loop device"
loop_dev=$(losetup -f --show -o $(($boot_offs * 512)) $DISK_IMG)
loop_dev=$(losetup -f --show -o $((${boot_offs} * 512)) ${DISK_IMG})
msg "copying boot image"
dd if=$BOOT_IMG of=$loop_dev
dd if=${BOOT_IMG} of=${loop_dev}
sync
msg "destroying boot loop device ($loop_dev)"
losetup -d $loop_dev
msg "destroying boot loop device (${loop_dev})"
losetup -d ${loop_dev}
msg "creating root loop device"
loop_dev=$(losetup -f --show -o $(($root_offs * 512)) $DISK_IMG)
loop_dev=$(losetup -f --show -o $((${root_offs} * 512)) ${DISK_IMG})
sync
msg "copying root image"
dd if=$ROOT_IMG of=$loop_dev
dd if=${ROOT_IMG} of=${loop_dev}
sync
msg "destroying root loop device ($loop_dev)"
losetup -d $loop_dev
msg "destroying root loop device (${loop_dev})"
losetup -d ${loop_dev}
sync
mv $DISK_IMG $(dirname $DISK_IMG)/$OS_NAME-$BOARD.img
DISK_IMG=$(dirname $DISK_IMG)/$OS_NAME-$BOARD.img
mv ${DISK_IMG} $(dirname ${DISK_IMG})/${OS_NAME}-${BOARD}.img
DISK_IMG=$(dirname ${DISK_IMG})/${OS_NAME}-${BOARD}.img
msg "$(realpath "$DISK_IMG") is ready"
msg "$(realpath "${DISK_IMG}") is ready"

View File

@ -25,20 +25,20 @@ fi
msg "Waiting for sdcard"
count=0
while true; do
if [ $count -ge $DISK_TIMEOUT ]; then
if [ ${count} -ge ${DISK_TIMEOUT} ]; then
break
fi
if [ -b $ROOT_DEV ]; then
if [ -b ${ROOT_DEV} ]; then
break
fi
count=$(($count + 1))
count=$((${count} + 1))
sleep 1
done
msg "Disk device is $DISK_DEV"
msg "Boot device is $BOOT_DEV"
msg "Root device is $ROOT_DEV"
msg "Data device is $DATA_DEV"
msg "Disk device is ${DISK_DEV}"
msg "Boot device is ${BOOT_DEV}"
msg "Root device is ${ROOT_DEV}"
msg "Data device is ${DATA_DEV}"
FW_DIR=/data/.fwupdate
FW_FILE=firmware.img.gz
@ -74,41 +74,41 @@ if [ -x /prepare_initramfs ]; then
fi
msg "Mounting boot partition"
mount $BOOT_DEV /boot
mount ${BOOT_DEV} /boot
msg "Mounting data partition"
mount $DATA_DEV /data
mount ${DATA_DEV} /data
if ! [ -r $FW_DIR/$FW_FILE_EXTR ]; then
if [ -r $LEGACY_FW_DIR/$LEGACY_FW_FILE_EXTR ]; then
if ! [ -r ${FW_DIR}/${FW_FILE_EXTR} ]; then
if [ -r ${LEGACY_FW_DIR}/${LEGACY_FW_FILE_EXTR} ]; then
msg "Detected legacy firmware path"
mkdir -p $FW_DIR
mv $LEGACY_FW_DIR/$LEGACY_FW_FILE_EXTR $FW_DIR/$FW_FILE_EXTR
mkdir -p ${FW_DIR}
mv ${LEGACY_FW_DIR}/${LEGACY_FW_FILE_EXTR} ${FW_DIR}/${FW_FILE_EXTR}
msg "Computing root partition info"
root_start=$(fdisk -l $FW_DIR/$FW_FILE_EXTR | grep ${FW_FILE_EXTR}2 | tr -s ' ' | cut -d ' ' -f 4)
root_start=$(($root_start / 2048))
root_size=$(fdisk -l $FW_DIR/$FW_FILE_EXTR | grep ${FW_FILE_EXTR}2 | tr -s ' ' | cut -d ' ' -f 6)
root_size=$(($root_size / 2048))
root_start=$(fdisk -l ${FW_DIR}/${FW_FILE_EXTR} | grep ${FW_FILE_EXTR}2 | tr -s ' ' | cut -d ' ' -f 4)
root_start=$((${root_start} / 2048))
root_size=$(fdisk -l ${FW_DIR}/${FW_FILE_EXTR} | grep ${FW_FILE_EXTR}2 | tr -s ' ' | cut -d ' ' -f 6)
root_size=$((${root_size} / 2048))
echo $root_start $root_size > $FW_DIR/$ROOT_INFO_FILE
echo ${root_start} ${root_size} > ${FW_DIR}/${ROOT_INFO_FILE}
else
msg "No firmware found, aborting"
exit 1
fi
fi
if ! [ -r $FW_DIR/$ROOT_INFO_FILE ]; then
if ! [ -r ${FW_DIR}/${ROOT_INFO_FILE} ]; then
msg "No root partition info, aborting"
exit 1
fi
msg "Copying root image"
root_start=$(cat $FW_DIR/$ROOT_INFO_FILE | cut -d ' ' -f 1)
root_size=$(cat $FW_DIR/$ROOT_INFO_FILE | cut -d ' ' -f 2)
root_start=$(cat ${FW_DIR}/${ROOT_INFO_FILE} | cut -d ' ' -f 1)
root_size=$(cat ${FW_DIR}/${ROOT_INFO_FILE} | cut -d ' ' -f 2)
dd if=$FW_DIR/$FW_FILE_EXTR skip=$root_start of=$ROOT_DEV bs=1048576 count=$root_size || exit 1
dd if=${FW_DIR}/${FW_FILE_EXTR} skip=${root_start} of=${ROOT_DEV} bs=1048576 count=${root_size} || exit 1
msg "Cleaning up"
rm -rf $FW_DIR
rm -rf ${FW_DIR}

View File

@ -1,26 +1,26 @@
#!/bin/bash
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
case "$1" in
start)
msg_begin "Detecting disk device"
root_dev=$(cat /proc/cmdline | grep -oE 'root=[/a-z0-9]+' | cut -d '=' -f 2)
if [[ "$root_dev" =~ ^([/a-z0-9]+)(p[0-9])$ ]]; then # e.g. /dev/mmcblk0p2
if [[ "${root_dev}" =~ ^([/a-z0-9]+)(p[0-9])$ ]]; then # e.g. /dev/mmcblk0p2
disk_dev=${BASH_REMATCH[1]}
boot_dev=${disk_dev}p1
data_dev=${disk_dev}p3
elif [[ "$root_dev" =~ ^([/a-z0-9]+)([0-9])$ ]]; then # e.g. /dev/sdc2
elif [[ "${root_dev}" =~ ^([/a-z0-9]+)([0-9])$ ]]; then # e.g. /dev/sdc2
disk_dev=${BASH_REMATCH[1]}
boot_dev=${disk_dev}1
data_dev=${disk_dev}3
else
msg_fail "unknown ($root_dev)"
msg_fail "unknown (${root_dev})"
exit 1
fi
msg_done "$disk_dev"
msg_done "${disk_dev}"
test -b $data_dev && exit 0
test -b ${data_dev} && exit 0
msg_begin "Creating data partition"
data_start=$((1024 * 2048)) # up to 1024MB reserved for boot + root
@ -29,12 +29,12 @@ case "$1" in
3
${data_start}
\n
w" | /sbin/fdisk $disk_dev &>/dev/null
partx -a $disk_dev &>/dev/null
test -b $data_dev && msg_done || msg_fail
w" | /sbin/fdisk ${disk_dev} &>/dev/null
partx -a ${disk_dev} &>/dev/null
test -b ${data_dev} && msg_done || msg_fail
msg_begin "Formatting data partition"
mkfs.ext4 -q $data_dev
mkfs.ext4 -q ${data_dev}
test $? == 0 && msg_done || msg_fail
msg_begin "Mounting data partition"

View File

@ -1,6 +1,6 @@
#!/bin/bash
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
mount_fs() {
msg_begin "Mounting filesystems"
@ -22,8 +22,8 @@ remount_rw() {
}
mk_tty_login() {
test -z "$OS_TTY_LOGIN" && OS_TTY_LOGIN=tty1
ln -sf /dev/$OS_TTY_LOGIN /dev/ttylogin
test -z "${OS_TTY_LOGIN}" && OS_TTY_LOGIN=tty1
ln -sf /dev/${OS_TTY_LOGIN} /dev/ttylogin
}
case "$1" in
@ -31,8 +31,8 @@ case "$1" in
mount_fs
# we need to source conf again, now that /data is available
test -n "$OS_DEBUG" || source /etc/init.d/os_conf
test "$OS_DEBUG" == "true" && remount_rw
test -n "${OS_DEBUG}" || source /etc/init.d/os_conf
test "${OS_DEBUG}" == "true" && remount_rw
mk_tty_login
;;

View File

@ -5,22 +5,22 @@ BOOT_MODULES_FILE="/boot/modules"
MODULES_FILE="/data/etc/modules"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
case "$1" in
start)
msg_begin "Loading kernel modules"
if [[ -r $SYS_MODULES_FILE ]]; then
cat $SYS_MODULES_FILE | while read line; do test -n "$line" && /sbin/modprobe $line &>/dev/null; done
if [[ -r ${SYS_MODULES_FILE} ]]; then
cat ${SYS_MODULES_FILE} | while read line; do test -n "${line}" && /sbin/modprobe ${line} &>/dev/null; done
fi
if [[ -r $BOOT_MODULES_FILE ]]; then
cat $BOOT_MODULES_FILE | while read line; do test -n "$line" && /sbin/modprobe $line &>/dev/null; done
if [[ -r ${BOOT_MODULES_FILE} ]]; then
cat ${BOOT_MODULES_FILE} | while read line; do test -n "${line}" && /sbin/modprobe ${line} &>/dev/null; done
fi
if [[ -r $MODULES_FILE ]]; then
cat $MODULES_FILE | while read line; do test -n "$line" && /sbin/modprobe $line &>/dev/null; done
if [[ -r ${MODULES_FILE} ]]; then
cat ${MODULES_FILE} | while read line; do test -n "${line}" && /sbin/modprobe ${line} &>/dev/null; done
fi
msg_done

View File

@ -5,22 +5,22 @@ BOOT_HOSTNAME_FILE="/boot/hostname"
HOSTNAME_FILE="/data/etc/hostname"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
case "$1" in
start)
msg_begin "Setting hostname"
prepare_conf $HOSTNAME_FILE $SYS_HOSTNAME_FILE $BOOT_HOSTNAME_FILE
prepare_conf ${HOSTNAME_FILE} ${SYS_HOSTNAME_FILE} ${BOOT_HOSTNAME_FILE}
if [[ -f $HOSTNAME_FILE ]]; then
hostname=$(cat $HOSTNAME_FILE)
if [[ -f ${HOSTNAME_FILE} ]]; then
hostname=$(cat ${HOSTNAME_FILE})
else
hostname="$OS_PREFIX-$BOARD_SN"
hostname="${OS_PREFIX}-${BOARD_SN}"
fi
/bin/hostname $hostname
echo "127.0.0.1 localhost $hostname" > /etc/hosts
/bin/hostname ${hostname}
echo "127.0.0.1 localhost ${hostname}" > /etc/hosts
msg_done
;;

View File

@ -1,6 +1,6 @@
#!/bin/bash
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
DMESG_LOG="/var/log/dmesg.log"
@ -10,8 +10,8 @@ case "$1" in
msg_begin "Starting syslogd"
syslogd
test $? == 0 && msg_done || msg_fail
echo "---- booting $OS_NAME $OS_VERSION ----" >> $DMESG_LOG
dmesg -T -w >> $DMESG_LOG &
echo "---- booting ${OS_NAME} ${OS_VERSION} ----" >> ${DMESG_LOG}
dmesg -T -w >> ${DMESG_LOG} &
;;
stop)

View File

@ -3,11 +3,11 @@
CONF=/etc/udev/udev.conf
test -f $CONF || exit 0
test -f ${CONF} || exit 0
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
source $CONF
source ${CONF}
start() {
msg_begin "Starting eudev"

View File

@ -2,7 +2,7 @@
test -c /dev/watchdog || exit 0
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
case "$1" in
start)

View File

@ -5,14 +5,14 @@ VERSION_FILE="/data/etc/version"
POST_UPGRADE_DIR="/usr/share/post-upgrade"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
hash=$(md5sum $VERSION_FILE 2>/dev/null | cut -d ' ' -f 1)
sys_hash=$(md5sum $SYS_VERSION_FILE 2>/dev/null | cut -d ' ' -f 1)
hash=$(md5sum ${VERSION_FILE} 2>/dev/null | cut -d ' ' -f 1)
sys_hash=$(md5sum ${SYS_VERSION_FILE} 2>/dev/null | cut -d ' ' -f 1)
test "$hash" == "$sys_hash" && exit 0
test "${hash}" == "${sys_hash}" && exit 0
test -d $POST_UPGRADE_DIR || exit 0
test -d ${POST_UPGRADE_DIR} || exit 0
function version_gt() {
if [[ "$1" != "$2" ]] && [[ $(echo -e "$2\n$1" | sort -t . | head -n 1) == "$2" ]]; then
@ -23,16 +23,16 @@ function version_gt() {
}
function run_post_upgrade() {
version="$(source $VERSION_FILE 2>/dev/null && echo $OS_VERSION)"
sys_version="$(source $SYS_VERSION_FILE 2>/dev/null && echo $OS_VERSION)"
version="$(source ${VERSION_FILE} 2>/dev/null && echo ${OS_VERSION})"
sys_version="$(source ${SYS_VERSION_FILE} 2>/dev/null && echo ${OS_VERSION})"
versions=$(ls -1 $POST_UPGRADE_DIR | cut -d '.' -f 1)
for v in $versions; do
if [[ -z "$version" ]] || version_gt $v $version; then
msg_begin "Post-upgrading to version $v"
out=$($POST_UPGRADE_DIR/$v.sh 2>&1)
versions=$(ls -1 ${POST_UPGRADE_DIR} | cut -d '.' -f 1)
for v in ${versions}; do
if [[ -z "${version}" ]] || version_gt ${v} ${version}; then
msg_begin "Post-upgrading to version ${v}"
out=$(${POST_UPGRADE_DIR}/${v}.sh 2>&1)
test $? == 0 && msg_done || msg_fail
echo "$out" | logger -t post-upgrade
echo "${out}" | logger -t post-upgrade
fi
done
}
@ -40,7 +40,7 @@ function run_post_upgrade() {
case "$1" in
start)
run_post_upgrade
cp $SYS_VERSION_FILE $VERSION_FILE
cp ${SYS_VERSION_FILE} ${VERSION_FILE}
;;
stop)

View File

@ -6,11 +6,11 @@ BTCONF="/data/etc/bluetooth.conf"
# dbus is currently only used by bluez
test -f $BTCONF || test -f $BOOT_BTCONF || test -f $SYS_BTCONF || exit 0
test -f ${BTCONF} || test -f ${BOOT_BTCONF} || test -f ${SYS_BTCONF} || exit 0
test -x /usr/bin/dbus-daemon || exit 0
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
start() {
mkdir -p /tmp/dbus

View File

@ -13,12 +13,12 @@ link_watch=yes
link_watch_timeout=20
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
prepare_conf $CONF $SYS_CONF $BOOT_CONF
test -f $CONF || exit 0
prepare_conf ${CONF} ${SYS_CONF} ${BOOT_CONF}
test -f ${CONF} || exit 0
test -f $WATCH_CONF && source $WATCH_CONF
test -f ${WATCH_CONF} && source ${WATCH_CONF}
running() {
@ -41,26 +41,26 @@ start() {
# wait up to 5 seconds for interface
count=0
while ! ifconfig $iface >/dev/null 2>&1; do
while ! ifconfig ${iface} >/dev/null 2>&1; do
sleep 1
count=$(($count + 1))
if [[ $count -ge 5 ]]; then
count=$((${count} + 1))
if [[ ${count} -ge 5 ]]; then
msg_fail "no device"
return 1
fi
done
iface=$(cat $CONF | grep interface | cut -d '=' -f 2)
module=$(basename $(readlink /sys/class/net/$iface/device/driver/module 2>/dev/null) 2>/dev/null)
iface=$(cat ${CONF} | grep interface | cut -d '=' -f 2)
module=$(basename $(readlink /sys/class/net/${iface}/device/driver/module 2>/dev/null) 2>/dev/null)
iwconfig $iface power off &> /dev/null
$PROG $CONF &> $LOG &
iwconfig ${iface} power off &> /dev/null
${PROG} ${CONF} &> ${LOG} &
if [[ "$LINK_WATCH" == "yes" ]]; then
if [[ "${LINK_WATCH}" == "yes" ]]; then
watch &
fi
test -n "$module" && msg_done "done ($module)"|| msg_done
test -n "${module}" && msg_done "done (${module})"|| msg_done
}
stop() {

View File

@ -13,23 +13,23 @@ BOOT_WATCH_CONF="/boot/watch.conf"
WATCH_CONF="/data/etc/watch.conf"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
prepare_conf $WATCH_CONF $SYS_WATCH_CONF $BOOT_WATCH_CONF
source $WATCH_CONF
prepare_conf ${WATCH_CONF} ${SYS_WATCH_CONF} ${BOOT_WATCH_CONF}
source ${WATCH_CONF}
prepare_conf $CONF $SYS_CONF $BOOT_CONF
test -f $CONF || exit 0
prepare_conf ${CONF} ${SYS_CONF} ${BOOT_CONF}
test -f ${CONF} || exit 0
ssid=$(cat $CONF | grep ssid | grep -v scan_ssid | cut -d '"' -f 2)
test -n "$ssid" || exit 0
ssid=$(cat ${CONF} | grep ssid | grep -v scan_ssid | cut -d '"' -f 2)
test -n "${ssid}" || exit 0
test "$OS_NETWORKLESS" == "true" && exit 0
test "${OS_NETWORKLESS}" == "true" && exit 0
connected() {
ip link show dev $OS_WLAN 2>&1 | grep LOWER_UP &> /dev/null && return 0 || return 1
ip link show dev ${OS_WLAN} 2>&1 | grep LOWER_UP &> /dev/null && return 0 || return 1
}
watch() {
@ -39,11 +39,11 @@ watch() {
if connected; then
count=0
else
if [[ $count -lt $LINK_WATCH_TIMEOUT ]]; then
count=$(($count + 5))
if [[ ${count} -lt ${LINK_WATCH_TIMEOUT} ]]; then
count=$((${count} + 5))
logger -t wifi -s "disconnected"
else
logger -t wifi -s "disconnected for $LINK_WATCH_TIMEOUT seconds, calling panic action"
logger -t wifi -s "disconnected for ${LINK_WATCH_TIMEOUT} seconds, calling panic action"
panic_action wifi
fi
fi
@ -51,26 +51,26 @@ watch() {
}
start() {
test -n "$OS_COUNTRY" && iw reg set $OS_COUNTRY
test -n "${OS_COUNTRY}" && iw reg set ${OS_COUNTRY}
msg_begin "Starting wpa_supplicant"
# wait up to 5 seconds for interface
count=0
while ! ifconfig $OS_WLAN >/dev/null 2>&1; do
while ! ifconfig ${OS_WLAN} >/dev/null 2>&1; do
sleep 1
count=$(($count + 1))
if [[ $count -ge 5 ]]; then
count=$((${count} + 1))
if [[ ${count} -ge 5 ]]; then
msg_fail "no device"
return 1
fi
done
module=$(basename $(readlink /sys/class/net/$OS_WLAN/device/driver/module 2>/dev/null) 2>/dev/null)
module=$(basename $(readlink /sys/class/net/${OS_WLAN}/device/driver/module 2>/dev/null) 2>/dev/null)
iwconfig $OS_WLAN power off &> /dev/null
iw $OS_WLAN set power_save off &> /dev/null
$PROG -i$OS_WLAN -c$CONF -D$DRIVER -B &> $LOG
iwconfig ${OS_WLAN} power off &> /dev/null
iw ${OS_WLAN} set power_save off &> /dev/null
${PROG} -i${OS_WLAN} -c${CONF} -D${DRIVER} -B &> ${LOG}
count=0
while true; do
sleep 1
@ -79,19 +79,19 @@ start() {
break
fi
if [[ $count -gt $LINK_WATCH_TIMEOUT ]] || ! pidof wpa_supplicant > /dev/null; then
test -n "$module" && msg_fail "failed ($module)"|| msg_fail
if [[ ${count} -gt ${LINK_WATCH_TIMEOUT} ]] || ! pidof wpa_supplicant > /dev/null; then
test -n "${module}" && msg_fail "failed (${module})"|| msg_fail
return 1
fi
count=$(($count + 1))
count=$((${count} + 1))
done
if [[ "$LINK_WATCH" == "true" ]]; then
if [[ "${LINK_WATCH}" == "true" ]]; then
watch &
fi
test -n "$module" && msg_done "done ($module)"|| msg_done
test -n "${module}" && msg_done "done (${module})"|| msg_done
}
stop() {

View File

@ -10,20 +10,20 @@ PROVIDER="mobile"
WATCH_CONF="/data/etc/watch.conf"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
prepare_conf $CONF $SYS_CONF $BOOT_CONF
prepare_conf ${CONF} ${SYS_CONF} ${BOOT_CONF}
test -e $CONF/modem || exit 0
test -e $CONF/apn || exit 0
test -e ${CONF}/modem || exit 0
test -e ${CONF}/apn || exit 0
source $WATCH_CONF
source ${WATCH_CONF}
test "$OS_NETWORKLESS" == "true" && exit 0
test "${OS_NETWORKLESS}" == "true" && exit 0
connected() {
ifconfig | grep $OS_PPP &>/dev/null && return 0 || return 1
ifconfig | grep ${OS_PPP} &>/dev/null && return 0 || return 1
}
watch() {
@ -33,11 +33,11 @@ watch() {
if connected; then
count=0
else
if [[ $count -lt $LINK_WATCH_TIMEOUT ]]; then
count=$(($count + 5))
if [[ ${count} -lt ${LINK_WATCH_TIMEOUT} ]]; then
count=$((${count} + 5))
logger -t ppp -s "disconnected"
else
logger -t ppp -s "disconnected for $LINK_WATCH_TIMEOUT seconds, calling panic action"
logger -t ppp -s "disconnected for ${LINK_WATCH_TIMEOUT} seconds, calling panic action"
panic_action ppp
fi
fi
@ -51,35 +51,35 @@ udev_trigger_add() {
}
start() {
test -e $CONF/auth || touch $CONF/auth
test -e $CONF/extra || touch $CONF/extra
test -e $CONF/pin || touch $CONF/pin
test -e ${CONF}/auth || touch ${CONF}/auth
test -e ${CONF}/extra || touch ${CONF}/extra
test -e ${CONF}/pin || touch ${CONF}/pin
mknod /dev/ppp c 108 0 &>/dev/null
msg_begin "Starting pppd"
# wait for modem
modem=$(head -n 1 $CONF/modem)
if ! [[ -e /dev/$modem ]]; then
modem=$(head -n 1 ${CONF}/modem)
if ! [[ -e /dev/${modem} ]]; then
udev_trigger_add 4 &
fi
count=0
while true; do
if [[ -e /dev/$modem ]] || [[ $count -gt $LINK_WATCH_TIMEOUT ]]; then
if [[ -e /dev/${modem} ]] || [[ ${count} -gt ${LINK_WATCH_TIMEOUT} ]]; then
break
fi
count=$(($count + 1))
count=$((${count} + 1))
sleep 1
done
if ! [[ -e /dev/$modem ]]; then
msg_fail "modem /dev/$modem not present"
if ! [[ -e /dev/${modem} ]]; then
msg_fail "modem /dev/${modem} not present"
return
fi
$PROG call $PROVIDER
${PROG} call ${PROVIDER}
count=0
while true; do
sleep 1
@ -88,15 +88,15 @@ start() {
break
fi
if [[ $count -gt $LINK_WATCH_TIMEOUT ]] || ! pidof pppd > /dev/null; then
if [[ ${count} -gt ${LINK_WATCH_TIMEOUT} ]] || ! pidof pppd > /dev/null; then
msg_fail
return
fi
count=$(($count + 1))
count=$((${count} + 1))
done
if [[ "$LINK_WATCH" == "true" ]]; then
if [[ "${LINK_WATCH}" == "true" ]]; then
watch &
fi

View File

@ -5,10 +5,10 @@ BOOT_CONF="/boot/bluetooth.conf"
CONF="/data/etc/bluetooth.conf"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
prepare_conf $CONF $SYS_CONF $BOOT_CONF
test -f $CONF || exit 0
prepare_conf ${CONF} ${SYS_CONF} ${BOOT_CONF}
test -f ${CONF} || exit 0
hci=hci0
bluetoothd=/usr/libexec/bluetooth/bluetoothd
@ -16,21 +16,21 @@ data_dir=/var/lib/bluetooth
run_data_dir=/data/bluetooth
run_conf=/var/lib/bluetooth.conf
test -x $bluetoothd || exit 0
test -x ${bluetoothd} || exit 0
configure() {
mkdir -p $run_data_dir
ln -sf $run_data_dir $data_dir
cp $CONF $run_conf
mkdir -p ${run_data_dir}
ln -sf ${run_data_dir} ${data_dir}
cp ${CONF} ${run_conf}
# if no specific name configured, use hostname
if ! grep -E 'Name\s*=' $run_conf &>/dev/null; then
sed -ri "s/(\[General\])/\1\nName = $(hostname)/" $run_conf
if ! grep -E 'Name\s*=' ${run_conf} &>/dev/null; then
sed -ri "s/(\[General\])/\1\nName = $(hostname)/" ${run_conf}
fi
# bring adapter up
hciconfig $hci up
hciconfig ${hci} up
}
start() {
@ -38,10 +38,10 @@ start() {
# wait up to 10 seconds for device
count=0
while ! hciconfig $hci &>/dev/null; do
while ! hciconfig ${hci} &>/dev/null; do
sleep 1
count=$(($count + 1))
if [[ $count -ge 10 ]]; then
count=$((${count} + 1))
if [[ ${count} -ge 10 ]]; then
msg_fail "no device"
logger -t bluetooth -s "bluetooth device not available, calling panic action"
panic_action bluetooth
@ -57,13 +57,13 @@ start() {
fi
msg_begin "Starting bluetoothd"
$bluetoothd &>/dev/null &
${bluetoothd} &>/dev/null &
msg_done
# if DiscoverableTimeout is set to 0, make adapter discoverable from boot time
if grep -E '^DiscoverableTimeout\s*=\s*0$' $run_conf &>/dev/null; then
if grep -E '^DiscoverableTimeout\s*=\s*0$' ${run_conf} &>/dev/null; then
sleep 1
hciconfig $hci piscan
hciconfig ${hci} piscan
fi
}

View File

@ -9,12 +9,12 @@ WATCH_CONF="/data/etc/watch.conf"
LINK_NEGO_TIMEOUT=10
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
source $WATCH_CONF
source ${WATCH_CONF}
prepare_conf $STATIC_CONF $SYS_STATIC_CONF $BOOT_STATIC_CONF
test -r $STATIC_CONF && source $STATIC_CONF
prepare_conf ${STATIC_CONF} ${SYS_STATIC_CONF} ${BOOT_STATIC_CONF}
test -r ${STATIC_CONF} && source ${STATIC_CONF}
mkdir -p /var/lib/dhcp
@ -23,14 +23,14 @@ watch_eth() {
count=0
while true; do
sleep 5
if [[ "$(cat /sys/class/net/$OS_ETH/operstate 2>/dev/null)" == "up" ]]; then
if [[ "$(cat /sys/class/net/${OS_ETH}/operstate 2>/dev/null)" == "up" ]]; then
count=0
else
if [[ $count -lt $LINK_WATCH_TIMEOUT ]]; then
count=$(($count + 5))
if [[ ${count} -lt ${LINK_WATCH_TIMEOUT} ]]; then
count=$((${count} + 5))
logger -t ethernet -s "disconnected"
else
logger -t ethernet -s "disconnected for $LINK_WATCH_TIMEOUT seconds, calling panic action"
logger -t ethernet -s "disconnected for ${LINK_WATCH_TIMEOUT} seconds, calling panic action"
panic_action network
fi
fi
@ -42,14 +42,14 @@ watch_ip() {
count=0
while true; do
sleep 5
if ip addr show dev $iface | grep inet &>/dev/null; then
if ip addr show dev ${iface} | grep inet &>/dev/null; then
count=0
else
if [[ $count -lt $IP_WATCH_TIMEOUT ]]; then
count=$(($count + 5))
logger -t network -s "$iface has no IP address"
if [[ ${count} -lt ${IP_WATCH_TIMEOUT} ]]; then
count=$((${count} + 5))
logger -t network -s "${iface} has no IP address"
else
logger -t network -s "$iface had no IP address for $IP_WATCH_TIMEOUT seconds, calling panic action"
logger -t network -s "${iface} had no IP address for ${IP_WATCH_TIMEOUT} seconds, calling panic action"
panic_action network
fi
fi
@ -62,31 +62,31 @@ start_lo() {
start_wlan() {
msg_begin "Configuring wireless network"
if ! ifconfig $OS_WLAN &>/dev/null; then
if ! ifconfig ${OS_WLAN} &>/dev/null; then
msg_fail "no device"
return 1
fi
if [[ "$(cat /sys/class/net/$OS_WLAN/carrier 2>/dev/null)" != "1" ]]; then
if [[ "$(cat /sys/class/net/${OS_WLAN}/carrier 2>/dev/null)" != "1" ]]; then
msg_fail "no link"
return 1
fi
if [[ -n "$mtu" ]]; then
ip link set mtu $mtu dev $OS_WLAN
if [[ -n "${mtu}" ]]; then
ip link set mtu ${mtu} dev ${OS_WLAN}
fi
if [[ -n "$STATIC_IP" ]]; then
msg_done $STATIC_IP
ifconfig $OS_WLAN $STATIC_IP up
if [[ -n "${STATIC_IP}" ]]; then
msg_done ${STATIC_IP}
ifconfig ${OS_WLAN} ${STATIC_IP} up
STATIC_IP="" # won't be used again
else
msg_done dhcp
dhclient -cf "$DH_CONF" $OS_WLAN
dhclient -cf "${DH_CONF}" ${OS_WLAN}
fi
if [[ "$IP_WATCH" == "true" ]] && ip addr show dev $OS_WLAN | grep inet &>/dev/null; then
watch_ip $OS_WLAN &
if [[ "${IP_WATCH}" == "true" ]] && ip addr show dev ${OS_WLAN} | grep inet &>/dev/null; then
watch_ip ${OS_WLAN} &
fi
}
@ -96,86 +96,86 @@ start_eth() {
# wait for driver
w=3
count=0
while ! ifconfig $OS_ETH >/dev/null 2>&1; do
while ! ifconfig ${OS_ETH} >/dev/null 2>&1; do
sleep 1
count=$(($count + 1))
if [[ $count -ge $w ]]; then
count=$((${count} + 1))
if [[ ${count} -ge ${w} ]]; then
msg_done "no device"
return 1
fi
done
# bring it up
ifconfig $OS_ETH up
ifconfig ${OS_ETH} up
# wait for operstate
w=3
count=0
while [[ "$(cat /sys/class/net/$OS_ETH/operstate 2>&1)" == "unknown" ]]; do
while [[ "$(cat /sys/class/net/${OS_ETH}/operstate 2>&1)" == "unknown" ]]; do
sleep 1
count=$(($count + 1))
if [[ $count -ge $w ]]; then
count=$((${count} + 1))
if [[ ${count} -ge ${w} ]]; then
msg_done "no link"
return 1
fi
done
# wait for link
test "$LINK_WATCH" == "true" || LINK_NEGO_TIMEOUT=5
test "${LINK_WATCH}" == "true" || LINK_NEGO_TIMEOUT=5
count=0
while [[ "$(cat /sys/class/net/$OS_ETH/carrier 2>&1)" != "1" ]]; do
while [[ "$(cat /sys/class/net/${OS_ETH}/carrier 2>&1)" != "1" ]]; do
sleep 1
count=$(($count + 1))
if [[ $count -ge $LINK_NEGO_TIMEOUT ]]; then
count=$((${count} + 1))
if [[ ${count} -ge ${LINK_NEGO_TIMEOUT} ]]; then
msg_done "no link"
return 1
fi
done
if [[ -n "$mtu" ]]; then
ip link set mtu $mtu dev $OS_ETH
if [[ -n "${mtu}" ]]; then
ip link set mtu ${mtu} dev ${OS_ETH}
fi
if [[ -n "$STATIC_IP" ]]; then
msg_done $STATIC_IP
ifconfig $OS_ETH $STATIC_IP up
if [[ -n "${STATIC_IP}" ]]; then
msg_done ${STATIC_IP}
ifconfig ${OS_ETH} ${STATIC_IP} up
STATIC_IP="" # won't be used again
else
msg_done dhcp
dhclient -cf "$DH_CONF" $OS_ETH
dhclient -cf "${DH_CONF}" ${OS_ETH}
fi
if [[ "$LINK_WATCH" == "true" ]]; then
if [[ "${LINK_WATCH}" == "true" ]]; then
watch_eth &
fi
if [[ "$IP_WATCH" == "true" ]] && ip addr show dev $OS_ETH | grep inet &>/dev/null; then
watch_ip $OS_ETH &
if [[ "${IP_WATCH}" == "true" ]] && ip addr show dev ${OS_ETH} | grep inet &>/dev/null; then
watch_ip ${OS_ETH} &
fi
}
start() {
hostname=$(hostname)
echo "send host-name = \"$hostname\";" > /var/cache/dhclient.conf
echo "send host-name = \"${hostname}\";" > /var/cache/dhclient.conf
start_lo
test "$OS_NETWORKLESS" == "true" && return 0
test "${OS_NETWORKLESS}" == "true" && return 0
ssid=$(cat /data/etc/wpa_supplicant.conf 2>&1 | grep ssid | grep -v scan_ssid | cut -d '"' -f 2)
test -n "$ssid" && start_wlan && wlan_ok="ok"
test -n "${ssid}" && start_wlan && wlan_ok="ok"
test -r /data/etc/ppp/modem && ifconfig | grep $OS_PPP &>/dev/null && ppp_ok="ok"
test -r /data/etc/ppp/modem && ifconfig | grep ${OS_PPP} &>/dev/null && ppp_ok="ok"
# if wifi or ppp link ok, start eth in background
if [[ "$wlan_ok" == "ok" ]] || [[ "$ppp_ok" == "ok" ]]; then
if [[ "${wlan_ok}" == "ok" ]] || [[ "${ppp_ok}" == "ok" ]]; then
start_eth &>/dev/null &
else
start_eth && eth_ok="ok"
fi
if [[ "$eth_ok" != "ok" ]] && [[ "$wlan_ok" != "ok" ]] && [[ "$ppp_ok" != "ok" ]]; then
if [[ "$LINK_WATCH" == "true" ]]; then
if [[ "${eth_ok}" != "ok" ]] && [[ "${wlan_ok}" != "ok" ]] && [[ "${ppp_ok}" != "ok" ]]; then
if [[ "${LINK_WATCH}" == "true" ]]; then
logger -t network -s "no network connection available, calling panic action"
panic_action network
return 1
@ -185,15 +185,15 @@ start() {
fi
fi
if [[ -n "$STATIC_GW" ]]; then
msg_begin "Setting static gateway to $STATIC_GW"
ip route add default via $STATIC_GW
if [[ -n "${STATIC_GW}" ]]; then
msg_begin "Setting static gateway to ${STATIC_GW}"
ip route add default via ${STATIC_GW}
test $? == 0 && msg_done || msg_fail
fi
if [[ -n "$STATIC_DNS" ]]; then
msg_begin "Setting static DNS server to $STATIC_DNS"
echo "nameserver $STATIC_DNS" > /etc/resolv.conf
if [[ -n "${STATIC_DNS}" ]]; then
msg_begin "Setting static DNS server to ${STATIC_DNS}"
echo "nameserver ${STATIC_DNS}" > /etc/resolv.conf
test $? == 0 && msg_done || msg_fail
fi
}

View File

@ -6,31 +6,31 @@ NETWATCH_TIMEOUT=5
NETWATCH_INTERVAL=20
test -f $WATCH_CONF && source $WATCH_CONF || exit 0
test -f ${WATCH_CONF} && source ${WATCH_CONF} || exit 0
if [[ -z "$NETWATCH_HOST" || -z "$NETWATCH_PORT" ]]; then
if [[ -z "${NETWATCH_HOST}" || -z "${NETWATCH_PORT}" ]]; then
exit 0
fi
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
test "$OS_NETWORKLESS" == "true" && exit 0
test "${OS_NETWORKLESS}" == "true" && exit 0
watch() {
count=0
NETWATCH_RETRIES=$(($NETWATCH_RETRIES - 1))
NETWATCH_RETRIES=$((${NETWATCH_RETRIES} - 1))
while true; do
sleep $NETWATCH_INTERVAL
if nc -z -w $NETWATCH_TIMEOUT $NETWATCH_HOST $NETWATCH_PORT </dev/null >/dev/null 2>&1; then
sleep ${NETWATCH_INTERVAL}
if nc -z -w ${NETWATCH_TIMEOUT} ${NETWATCH_HOST} ${NETWATCH_PORT} </dev/null >/dev/null 2>&1; then
count=0
else
if [[ $count -lt $NETWATCH_RETRIES ]]; then
logger -t netwatch -s "cannot connect to $NETWATCH_HOST:$NETWATCH_PORT"
count=$(($count + 1))
if [[ ${count} -lt ${NETWATCH_RETRIES} ]]; then
logger -t netwatch -s "cannot connect to ${NETWATCH_HOST}:${NETWATCH_PORT}"
count=$((${count} + 1))
continue
else
logger -t netwatch -s "cannot connect to $NETWATCH_HOST:$NETWATCH_PORT, calling panic action"
logger -t netwatch -s "cannot connect to ${NETWATCH_HOST}:${NETWATCH_PORT}, calling panic action"
panic_action netwatch
fi
fi

View File

@ -5,15 +5,15 @@ BOOT_CONF="/boot/firewall.sh"
CONF="/data/etc/firewall.sh"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
prepare_conf $CONF $SYS_CONF $BOOT_CONF
test -f $CONF || exit 0
prepare_conf ${CONF} ${SYS_CONF} ${BOOT_CONF}
test -f ${CONF} || exit 0
start() {
msg_begin "Starting firewall"
bash $CONF
bash ${CONF}
test $? == 0 && msg_done || msg_fail
}

View File

@ -8,21 +8,21 @@ LOG="/var/log/dnsmasq.log"
PROG="/usr/sbin/dnsmasq"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
prepare_conf $CONF $SYS_CONF $BOOT_CONF
test -f $CONF || exit 0
prepare_conf ${CONF} ${SYS_CONF} ${BOOT_CONF}
test -f ${CONF} || exit 0
start() {
msg_begin "Starting dnsmasq"
iface=$(cat $CONF | grep interface | cut -d '=' -f 2)
ip=$(cat $CONF | grep range | cut -d '=' -f 2 | cut -d '.' -f 1,2,3).1
iface=$(cat ${CONF} | grep interface | cut -d '=' -f 2)
ip=$(cat ${CONF} | grep range | cut -d '=' -f 2 | cut -d '.' -f 1,2,3).1
ifconfig $iface $ip
ifconfig ${iface} ${ip}
$PROG -C $CONF --log-facility=$LOG
${PROG} -C ${CONF} --log-facility=${LOG}
test $? == 0 && msg_done || msg_fail
}

View File

@ -12,42 +12,42 @@ BOOT_NTP_CONF="/boot/ntp.conf"
NTP_CONF="/data/etc/ntp.conf"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
prepare_conf $CONF $SYS_CONF $BOOT_CONF
prepare_conf $NTP_CONF $SYS_NTP_CONF $BOOT_NTP_CONF
prepare_conf ${CONF} ${SYS_CONF} ${BOOT_CONF}
prepare_conf ${NTP_CONF} ${SYS_NTP_CONF} ${BOOT_NTP_CONF}
test -f $CONF || exit 0
test -f ${CONF} || exit 0
test "$OS_NETWORKLESS" == "true" && exit 0
test "${OS_NETWORKLESS}" == "true" && exit 0
date_timeout=10
date_method=http
date_host="google.com"
date_interval="900"
source $CONF
source ${CONF}
set_current_date_http() {
date_str=$(curl -v -s -m $date_timeout -X GET http://$date_host 2>&1 | grep Date | sed -e 's/< Date: //')
test -z "$date_str" && return 1
$DATE_PROG -u -D "%a, %d %b %Y %H:%M:%S" -s "$date_str" > /dev/null
date_str=$(curl -v -s -m ${date_timeout} -X GET http://${date_host} 2>&1 | grep Date | sed -e 's/< Date: //')
test -z "${date_str}" && return 1
${DATE_PROG} -u -D "%a, %d %b %Y %H:%M:%S" -s "${date_str}" > /dev/null
return $?
}
set_current_date_ntp() {
cat $NTP_CONF | grep server | head -n 1 | cut -d ' ' -f 2 | xargs ntpdate -t $date_timeout -s
cat ${NTP_CONF} | grep server | head -n 1 | cut -d ' ' -f 2 | xargs ntpdate -t ${date_timeout} -s
}
start_http() {
msg_begin "Setting current date using http"
set_current_date_http || set_current_date_http
test $? == 0 && msg_done "$($DATE_PROG)" || msg_fail
test $? == 0 && msg_done "$(${DATE_PROG})" || msg_fail
msg_begin "Starting http date updater"
while true; do
sleep $date_interval
sleep ${date_interval}
set_current_date_http
done &
msg_done
@ -56,23 +56,23 @@ start_http() {
start_ntp() {
mkdir -p /var/lib/ntp
cat $NTP_CONF | grep -v iburst > ${NTP_CONF}.tmp
cat ${NTP_CONF} | grep -v iburst > ${NTP_CONF}.tmp
if [[ -n "$date_ntp_server" ]]; then
echo "server $date_ntp_server iburst" > $NTP_CONF
if [[ -n "${date_ntp_server}" ]]; then
echo "server ${date_ntp_server} iburst" > ${NTP_CONF}
else
cat $SYS_NTP_CONF | grep iburst > $NTP_CONF
cat ${SYS_NTP_CONF} | grep iburst > ${NTP_CONF}
fi
cat ${NTP_CONF}.tmp >> $NTP_CONF
cat ${NTP_CONF}.tmp >> ${NTP_CONF}
rm ${NTP_CONF}.tmp
msg_begin "Setting current date using ntp"
set_current_date_ntp || set_current_date_ntp
test $? == 0 && msg_done "$($DATE_PROG)" || msg_fail
test $? == 0 && msg_done "$(${DATE_PROG})" || msg_fail
msg_begin "Starting ntpd"
ntpd -g -c $NTP_CONF
ntpd -g -c ${NTP_CONF}
test $? == 0 && msg_done || msg_fail
}
@ -89,17 +89,17 @@ stop_ntp() {
}
start() {
if [[ "$date_method" == "http" ]]; then
if [[ "${date_method}" == "http" ]]; then
start_http
else
start_ntp
fi
echo "system date is $($DATE_PROG '+%Y-%m-%d %H:%M:%S')" > /dev/kmsg
echo "system date is $(${DATE_PROG} '+%Y-%m-%d %H:%M:%S')" > /dev/kmsg
}
stop() {
if [[ "$date_method" == "http" ]]; then
if [[ "${date_method}" == "http" ]]; then
stop_http
else
stop_ntp

View File

@ -3,17 +3,17 @@
SYS_CONF="/etc/crontabs"
CONF="/data/etc/crontabs"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
start() {
msg_begin "Starting crond"
if [[ -d $SYS_CONF ]]; then
/usr/sbin/crond -c $SYS_CONF
if [[ -d ${SYS_CONF} ]]; then
/usr/sbin/crond -c ${SYS_CONF}
fi
mkdir -p $CONF
/usr/sbin/crond -c $CONF
mkdir -p ${CONF}
/usr/sbin/crond -c ${CONF}
test $? == 0 && msg_done || msg_fail
}

View File

@ -2,11 +2,11 @@
CONF="/etc/sshd_config"
test -f $CONF || exit 0
test -f ${CONF} || exit 0
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
test "$OS_NETWORKLESS" == "true" && exit 0
test "${OS_NETWORKLESS}" == "true" && exit 0
start() {
msg_begin "Starting sshd"
@ -19,10 +19,10 @@ start() {
umask 077
hostname=$(hostname)
echo "Welcome to $hostname!" > /var/cache/sshd_banner
echo "Welcome to ${hostname}!" > /var/cache/sshd_banner
sync
/usr/sbin/sshd -f $CONF
/usr/sbin/sshd -f ${CONF}
test $? == 0 && msg_done || msg_fail
}

View File

@ -3,14 +3,14 @@
USERINIT="/data/etc/userinit.sh"
test -f $USERINIT || exit 0
test -f ${USERINIT} || exit 0
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
case "$1" in
start)
msg_begin "Executing user init script"
/bin/bash $USERINIT
/bin/bash ${USERINIT}
test $? == 0 && msg_done || msg_fail
;;

View File

@ -1,6 +1,6 @@
#!/bin/bash
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
msg_info() {
echo " # $1"
@ -8,25 +8,25 @@ msg_info() {
show_iface_ip_addr() {
addr=$(ip addr show dev $1 2>/dev/null | grep inet | tr -s ' ' | sed -r 's/^\s+//' | cut -d ' ' -f 2)
test -n "$addr" && msg_info "Interface $1 has IP address $addr"
test -n "${addr}" && msg_info "Interface $1 has IP address ${addr}"
}
show_gateway() {
gateway=$(ip route | grep default | cut -d ' ' -f 3)
test -n "$gateway" && msg_info "Default gateway is $gateway"
test -n "${gateway}" && msg_info "Default gateway is ${gateway}"
}
show_dns() {
test -r /etc/resolv.conf || return
dns=$(cat /etc/resolv.conf | grep nameserver | head -n 1 | cut -d ' ' -f 2)
test -n "$dns" && msg_info "DNS server address is $dns"
test -n "${dns}" && msg_info "DNS server address is ${dns}"
}
case "$1" in
start)
show_iface_ip_addr $OS_ETH
show_iface_ip_addr $OS_WLAN
show_iface_ip_addr $OS_PPP
show_iface_ip_addr ${OS_ETH}
show_iface_ip_addr ${OS_WLAN}
show_iface_ip_addr ${OS_PPP}
show_gateway
show_dns
;;

View File

@ -3,7 +3,7 @@ source /etc/version
BOARD_SN=$(/etc/init.d/boardsn)
BOARD_NAME=$(cat /etc/board)
test -n "$OS_DEBUG" || source /etc/init.d/os_conf
test -n "${OS_DEBUG}" || source /etc/init.d/os_conf
source /etc/init.d/panic
@ -37,25 +37,25 @@ prepare_conf() {
system_conf="$2"
user_conf="$3"
if [[ -n "$user_conf" && -e "$user_conf" ]]; then
cp -rf "$user_conf" "$actual_conf"
if [[ -n "${user_conf}" && -e "${user_conf}" ]]; then
cp -rf "${user_conf}" "${actual_conf}"
# we want only Unix newlines in conf files
if [[ -f "$actual_conf" ]]; then
sed -i 's/\r//g' "$actual_conf"
elif [[ -d "$actual_conf" ]]; then
find "$actual_conf" -type f | xargs -L1 sed -i 's/\r//g'
if [[ -f "${actual_conf}" ]]; then
sed -i 's/\r//g' "${actual_conf}"
elif [[ -d "${actual_conf}" ]]; then
find "${actual_conf}" -type f | xargs -L1 sed -i 's/\r//g'
fi
grep -E "/boot .*ro[\s,]" /proc/mounts &>/dev/null
RO=$?
test $RO == 0 && mount -o remount,rw /boot
rm -rf $user_conf
test $RO == 0 && mount -o remount,ro /boot
test ${RO} == 0 && mount -o remount,rw /boot
rm -rf ${user_conf}
test ${RO} == 0 && mount -o remount,ro /boot
fi
if [[ ! -e "$actual_conf" && -e "$system_conf" ]]; then
cp "$system_conf" "$actual_conf"
if [[ ! -e "${actual_conf}" && -e "${system_conf}" ]]; then
cp "${system_conf}" "${actual_conf}"
fi
}

View File

@ -5,16 +5,16 @@ data_conf="/data/etc/os.conf"
# source in all conf files in order of precedence
if [[ -f $sys_conf ]]; then
source $sys_conf
if [[ -f ${sys_conf} ]]; then
source ${sys_conf}
fi
if [[ -f $data_conf ]]; then
source $data_conf
if [[ -f ${data_conf} ]]; then
source ${data_conf}
fi
if [[ -f $boot_conf ]]; then
source $boot_conf
if [[ -f ${boot_conf} ]]; then
source ${boot_conf}
fi
unset sys_conf boot_conf data_conf

View File

@ -5,18 +5,18 @@ pid_file=/tmp/rc.pid
source /etc/init.d/base
echo "---- shutting down $OS_NAME $OS_VERSION ----" >> $boot_log
echo "---- shutting down ${OS_NAME} ${OS_VERSION} ----" >> ${boot_log}
# stop all init scripts in /etc/init.d,
# executing them in reverse numerical order.
(for i in $(ls -r /etc/init.d/S??*); do
if ! [[ -x "$i" ]]; then continue; fi
if [[ -f /data/etc/no_$(basename $i) ]]; then continue; fi
$i stop
done& echo $! > $pid_file) | tee -a $boot_log &
if ! [[ -x "${i}" ]]; then continue; fi
if [[ -f /data/etc/no_$(basename ${i}) ]]; then continue; fi
${i} stop
done& echo $! > ${pid_file}) | tee -a ${boot_log} &
pid=$(cat $pid_file)
while kill -0 $pid 2>/dev/null; do
pid=$(cat ${pid_file})
while kill -0 ${pid} 2>/dev/null; do
sleep 1
done

View File

@ -6,20 +6,20 @@ pid_file=/tmp/rc.pid
source /etc/init.d/base
echo "---- booting $OS_NAME $OS_VERSION ----" >> $tmp_boot_log
echo "---- booting ${OS_NAME} ${OS_VERSION} ----" >> ${tmp_boot_log}
# start all init scripts in /etc/init.d,
# executing them in numerical order.
(for i in /etc/init.d/S??* /etc/init.d/bootdone; do
if ! [[ -x "$i" ]]; then continue; fi
if [[ -f /data/etc/no_$(basename $i) ]]; then continue; fi
$i start || break
done& echo $! > $pid_file) | tee -a $tmp_boot_log &
if ! [[ -x "${i}" ]]; then continue; fi
if [[ -f /data/etc/no_$(basename ${i}) ]]; then continue; fi
${i} start || break
done& echo $! > ${pid_file}) | tee -a ${tmp_boot_log} &
pid=$(cat $pid_file)
while kill -0 $pid 2>/dev/null; do
pid=$(cat ${pid_file})
while kill -0 ${pid} 2>/dev/null; do
sleep 1
done
test -d $(dirname $boot_log) && cat $tmp_boot_log >> $boot_log
test -d $(dirname ${boot_log}) && cat ${tmp_boot_log} >> ${boot_log}

View File

@ -2,11 +2,11 @@
resolv_conf=/etc/resolv.conf
echo -n > $resolv_conf
if [ -n "$DNS1" ]; then
echo "nameserver $DNS1" >> $resolv_conf
echo -n > ${resolv_conf}
if [ -n "${DNS1}" ]; then
echo "nameserver ${DNS1}" >> ${resolv_conf}
fi
if [ -n "$DNS2" ]; then
echo "nameserver $DNS2" >> $resolv_conf
if [ -n "${DNS2}" ]; then
echo "nameserver ${DNS2}" >> ${resolv_conf}
fi

View File

@ -64,12 +64,12 @@ DD_PID_FILE=dd.pid
BOOT_DEV=$(mount | grep /boot | cut -d ' ' -f 1)
ROOT_DEV=${BOOT_DEV:0:-1}2
DISK_DEV=$(mount | grep /boot | cut -d ' ' -f 1)
if [[ "$ROOT_DEV" =~ ^([/a-z0-9]+)(p[0-9])$ ]]; then # e.g. /dev/mmcblk0p2
if [[ "${ROOT_DEV}" =~ ^([/a-z0-9]+)(p[0-9])$ ]]; then # e.g. /dev/mmcblk0p2
DISK_DEV=${BASH_REMATCH[1]}
elif [[ "$ROOT_DEV" =~ ^([/a-z0-9]+)([0-9])$ ]]; then # e.g. /dev/sdc2
elif [[ "${ROOT_DEV}" =~ ^([/a-z0-9]+)([0-9])$ ]]; then # e.g. /dev/sdc2
DISK_DEV=${BASH_REMATCH[1]}
else
echo "cannot identify disk device from $ROOT_DEV" 1>&2
echo "cannot identify disk device from ${ROOT_DEV}" 1>&2
exit 1
fi
@ -79,27 +79,27 @@ fi
function show_versions() {
source /etc/init.d/os_conf # we need this for the OS_ vars
board=$(cat $SYS_BOARD_FILE)
board=$(cat ${SYS_BOARD_FILE})
show_json=$1
# the /usr/libexec/list-versions-* helpers return a table with the following format:
# <version>|<prerelease>|<board>|<url>|<date>
versions=$(FW_USERNAME=$OS_FIRMWARE_USERNAME FW_PASSWORD=$OS_FIRMWARE_PASSWORD \
/usr/libexec/list-versions-$OS_FIRMWARE_METHOD $OS_FIRMWARE_REPO)
versions=$(FW_USERNAME=${OS_FIRMWARE_USERNAME} FW_PASSWORD=${OS_FIRMWARE_PASSWORD} \
/usr/libexec/list-versions-${OS_FIRMWARE_METHOD} ${OS_FIRMWARE_REPO})
for version in ${versions[@]}; do
OIFS=$IFS
OIFS=${IFS}
IFS="|"
varr=($version)
IFS=$OIFS
if [ "$OS_PRERELEASES" == "false" ] && [ "${varr[1]}" == "true" ]; then
varr=(${version})
IFS=${OIFS}
if [ "${OS_PRERELEASES}" == "false" ] && [ "${varr[1]}" == "true" ]; then
continue # skip prereleases
fi
if [ "$board" != "${varr[2]}" ]; then
if [ "${board}" != "${varr[2]}" ]; then
continue # skip other boards
fi
if [ "$show_json" == "true" ]; then
if [ "${show_json}" == "true" ]; then
echo "{\"version\": \"${varr[0]}\"," \
"\"url\": \"${varr[3]}\"," \
"\"board\": \"${varr[2]}\"," \
@ -112,9 +112,9 @@ function show_versions() {
}
function show_current() {
source $SYS_VERSION_FILE
source ${SYS_VERSION_FILE}
echo $OS_VERSION
echo ${OS_VERSION}
}
@ -123,8 +123,8 @@ function show_current() {
function do_download() {
echo "downloading..."
rm -rf $FW_DIR/*
mkdir -p $FW_DIR
rm -rf ${FW_DIR}/*
mkdir -p ${FW_DIR}
# Look for local file first
if [ -f "$1" ]; then
@ -132,75 +132,75 @@ function do_download() {
FNAME=`basename $1`
FILEEXT=${FNAME##*.}
DST_FNAME=""
if [ "$FILEEXT" == "xz" ]; then
DST_FNAME="$FW_DIR/$FW_FILE_XZ"
elif [ "$FILEEXT" == "gz" ]; then
DST_FNAME="$FW_DIR/$FW_FILE_GZ"
if [ "${FILEEXT}" == "xz" ]; then
DST_FNAME="${FW_DIR}/${FW_FILE_XZ}"
elif [ "${FILEEXT}" == "gz" ]; then
DST_FNAME="${FW_DIR}/${FW_FILE_GZ}"
fi
if [ -n "$DST_FNAME" ]; then
cp -f $1 $DST_FNAME
echo $version > $FW_DIR/$VER_FILE
if [ -n "${DST_FNAME}" ]; then
cp -f $1 ${DST_FNAME}
echo ${version} > ${FW_DIR}/${VER_FILE}
return
fi
fi
source /etc/init.d/os_conf # we need this for the OS_ vars
board=$(cat $SYS_BOARD_FILE)
board=$(cat ${SYS_BOARD_FILE})
url=$1
version=$1
if ! [[ "$url" == http* ]]; then # a version was given
url=$(show_versions true | jq -r ". | select(.version==\"$version\") | .url")
if ! [[ "${url}" == http* ]]; then # a version was given
url=$(show_versions true | jq -r ". | select(.version==\"${version}\") | .url")
else
version="custom"
fi
if [ -z "$url" ]; then
if [ -z "${url}" ]; then
echo "no such version" 1>&2
exit 1
fi
free_disk=$(df /data | tail -n 1 | tr -s ' ' | cut -d ' ' -f 4)
if [ "$free_disk" -lt $MIN_FREE_DISK ]; then
if [ "${free_disk}" -lt ${MIN_FREE_DISK} ]; then
echo "not enough disk space" 1>&2
exit 1
fi
outfile=$FW_DIR/$FW_FILE_GZ
format=$(echo $url | sed -rn 's/.*\.img\.([a-z]+)$/\1/ p')
if [ "$format" == "xz" ]; then
outfile=$FW_DIR/$FW_FILE_XZ
outfile=${FW_DIR}/${FW_FILE_GZ}
format=$(echo ${url} | sed -rn 's/.*\.img\.([a-z]+)$/\1/ p')
if [ "${format}" == "xz" ]; then
outfile=${FW_DIR}/${FW_FILE_XZ}
fi
echo $version > $FW_DIR/$VER_FILE
echo ${version} > ${FW_DIR}/${VER_FILE}
curl_opts="-S -f -L"
if [ -n "$OS_FIRMWARE_USERNAME" ]; then
curl_opts+=" --user $OS_FIRMWARE_USERNAME:$OS_FIRMWARE_PASSWORD"
if [ -n "${OS_FIRMWARE_USERNAME}" ]; then
curl_opts+=" --user ${OS_FIRMWARE_USERNAME}:${OS_FIRMWARE_PASSWORD}"
fi
curl $curl_opts -o $outfile "$url" &> $FW_DIR/$CURL_LOG_FILE &
curl ${curl_opts} -o ${outfile} "${url}" &> ${FW_DIR}/${CURL_LOG_FILE} &
pid=$!
echo $pid > $FW_DIR/$CURL_PID_FILE
wait $pid
echo ${pid} > ${FW_DIR}/${CURL_PID_FILE}
wait ${pid}
if [ "$?" != 0 ]; then
cat $FW_DIR/$CURL_LOG_FILE
cat ${FW_DIR}/${CURL_LOG_FILE}
exit 1
fi
}
function download_status() {
if [ -f $FW_DIR/$CURL_PID_FILE ]; then
pid=$(cat $FW_DIR/$CURL_PID_FILE)
if kill -0 $pid &>/dev/null; then
if [ -f ${FW_DIR}/${CURL_PID_FILE} ]; then
pid=$(cat ${FW_DIR}/${CURL_PID_FILE})
if kill -0 ${pid} &>/dev/null; then
echo "running"
return
fi
fi
if [ -f $FW_DIR/$FW_FILE_GZ -o -f $FW_DIR/$FW_FILE_XZ ]; then
if [ -f ${FW_DIR}/${FW_FILE_GZ} -o -f ${FW_DIR}/${FW_FILE_XZ} ]; then
echo "done"
fi
}
@ -211,69 +211,69 @@ function download_status() {
function do_extract() {
echo "extracting..."
rm -f $FW_DIR/$FW_FILE_EXTR
rm -f $FW_DIR/$BOOT_READY_FILE
rm -f ${FW_DIR}/${FW_FILE_EXTR}
rm -f ${FW_DIR}/${BOOT_READY_FILE}
if ! [ -f $FW_DIR/$FW_FILE_GZ -o -f $FW_DIR/$FW_FILE_XZ ]; then
if ! [ -f ${FW_DIR}/${FW_FILE_GZ} -o -f ${FW_DIR}/${FW_FILE_XZ} ]; then
echo "firmware file not downloaded" 1>&2
exit 1
fi
format="gz"
if [ -f $FW_DIR/$FW_FILE_XZ ]; then
if [ -f ${FW_DIR}/${FW_FILE_XZ} ]; then
format="xz"
fi
rm -f $FW_DIR/$FW_FILE_EXTR
rm -f $FW_DIR/$GUNZIP_PID_FILE $FW_DIR/$XZCAT_PID_FILE
rm -f ${FW_DIR}/${FW_FILE_EXTR}
rm -f ${FW_DIR}/${GUNZIP_PID_FILE} ${FW_DIR}/${XZCAT_PID_FILE}
if [ "$format" == "xz" ]; then
DECOMPRESS_LOG_FILE=$FW_DIR/$XZCAT_LOG_FILE
DECOMPRESS_PID_FILE=$FW_DIR/$XZCAT_PID_FILE
xzcat $FW_DIR/$FW_FILE_XZ > $FW_DIR/$FW_FILE_EXTR 2>$FW_DIR/$XZCAT_LOG_FILE &
elif [ "$format" == "gz" ]; then
DECOMPRESS_LOG_FILE=$FW_DIR/$GUNZIP_LOG_FILE
DECOMPRESS_PID_FILE=$FW_DIR/$GUNZIP_PID_FILE
gunzip -k -c $FW_DIR/$FW_FILE_GZ > $FW_DIR/$FW_FILE_EXTR 2>$FW_DIR/$GUNZIP_LOG_FILE &
if [ "${format}" == "xz" ]; then
DECOMPRESS_LOG_FILE=${FW_DIR}/${XZCAT_LOG_FILE}
DECOMPRESS_PID_FILE=${FW_DIR}/${XZCAT_PID_FILE}
xzcat ${FW_DIR}/${FW_FILE_XZ} > ${FW_DIR}/${FW_FILE_EXTR} 2>${FW_DIR}/${XZCAT_LOG_FILE} &
elif [ "${format}" == "gz" ]; then
DECOMPRESS_LOG_FILE=${FW_DIR}/${GUNZIP_LOG_FILE}
DECOMPRESS_PID_FILE=${FW_DIR}/${GUNZIP_PID_FILE}
gunzip -k -c ${FW_DIR}/${FW_FILE_GZ} > ${FW_DIR}/${FW_FILE_EXTR} 2>${FW_DIR}/${GUNZIP_LOG_FILE} &
else
echo "firmware compression format $format not supported" 1>&2
echo "firmware compression format ${format} not supported" 1>&2
exit 1
fi
pid=$!
echo $pid > $DECOMPRESS_PID_FILE
wait $pid
echo ${pid} > ${DECOMPRESS_PID_FILE}
wait ${pid}
if [ "$?" != 0 ]; then
cat $DECOMPRESS_LOG_FILE
cat ${DECOMPRESS_LOG_FILE}
exit 1
fi
# verify available partition space
fw_boot_info=$(fdisk --bytes -l -o device,start,end,size $FW_DIR/$FW_FILE_EXTR | grep "${FW_FILE_EXTR}1")
fw_boot_info=($fw_boot_info)
fw_boot_info=$(fdisk --bytes -l -o device,start,end,size ${FW_DIR}/${FW_FILE_EXTR} | grep "${FW_FILE_EXTR}1")
fw_boot_info=(${fw_boot_info})
fw_boot_size=${fw_boot_info[3]}
fw_root_info=$(fdisk --bytes -l -o device,start,end,size $FW_DIR/$FW_FILE_EXTR | grep "${FW_FILE_EXTR}2")
fw_root_info=($fw_root_info)
fw_root_info=$(fdisk --bytes -l -o device,start,end,size ${FW_DIR}/${FW_FILE_EXTR} | grep "${FW_FILE_EXTR}2")
fw_root_info=(${fw_root_info})
fw_root_size=${fw_root_info[3]}
disk_boot_info=$(fdisk --bytes -l -o device,start,end,size $DISK_DEV | grep $BOOT_DEV)
disk_boot_info=($disk_boot_info)
disk_boot_info=$(fdisk --bytes -l -o device,start,end,size ${DISK_DEV} | grep ${BOOT_DEV})
disk_boot_info=(${disk_boot_info})
disk_boot_size=${disk_boot_info[3]}
disk_root_info=$(fdisk --bytes -l -o device,start,end,size $DISK_DEV | grep $ROOT_DEV)
disk_root_info=($disk_root_info)
disk_root_info=$(fdisk --bytes -l -o device,start,end,size ${DISK_DEV} | grep ${ROOT_DEV})
disk_root_info=(${disk_root_info})
disk_root_size=${disk_root_info[3]}
if [[ $disk_boot_size -lt $fw_boot_size ]]; then
echo "not enough space on boot partition ($fw_boot_size needed, $disk_boot_size available)" 1>&2
if [[ ${disk_boot_size} -lt ${fw_boot_size} ]]; then
echo "not enough space on boot partition (${fw_boot_size} needed, ${disk_boot_size} available)" 1>&2
exit 1
fi
if [[ $disk_root_size -lt $fw_root_size ]]; then
echo "not enough space on root partition ($fw_root_size needed, $disk_root_size available)" 1>&2
if [[ ${disk_root_size} -lt ${fw_root_size} ]]; then
echo "not enough space on root partition (${fw_root_size} needed, ${disk_root_size} available)" 1>&2
exit 1
fi
@ -281,21 +281,21 @@ function do_extract() {
}
function extract_status() {
if [ -f $FW_DIR/$XZCAT_PID_FILE ]; then
pid=$(cat $FW_DIR/$XZCAT_PID_FILE)
if kill -0 $pid &>/dev/null; then
if [ -f ${FW_DIR}/${XZCAT_PID_FILE} ]; then
pid=$(cat ${FW_DIR}/${XZCAT_PID_FILE})
if kill -0 ${pid} &>/dev/null; then
echo "running"
return
fi
elif [ -f $FW_DIR/$GUNZIP_PID_FILE ]; then
pid=$(cat $FW_DIR/$GUNZIP_PID_FILE)
if kill -0 $pid &>/dev/null; then
elif [ -f ${FW_DIR}/${GUNZIP_PID_FILE} ]; then
pid=$(cat ${FW_DIR}/${GUNZIP_PID_FILE})
if kill -0 ${pid} &>/dev/null; then
echo "running"
return
fi
fi
if [ -f $FW_DIR/$FW_FILE_EXTR ]; then
if [ -f ${FW_DIR}/${FW_FILE_EXTR} ]; then
echo "done"
fi
}
@ -306,12 +306,12 @@ function extract_status() {
function flash_boot() {
echo "flashing boot..."
rm -f $FW_DIR/$BOOT_READY_FILE
rm -f ${FW_DIR}/${BOOT_READY_FILE}
set +e
board=$(cat $SYS_BOARD_FILE)
board=$(cat ${SYS_BOARD_FILE})
cp -r /boot $FW_DIR/old_boot
cp -r /boot ${FW_DIR}/old_boot
umount /boot
trap flash_cleanup EXIT
@ -319,22 +319,22 @@ function flash_boot() {
mv /sbin/reboot /sbin/reboot.bak
ln -s /bin/true /sbin/reboot
boot_info=$(fdisk --bytes -l -o device,start,end,size $FW_DIR/$FW_FILE_EXTR | grep "${FW_FILE_EXTR}1")
boot_info=($boot_info)
boot_info=$(fdisk --bytes -l -o device,start,end,size ${FW_DIR}/${FW_FILE_EXTR} | grep "${FW_FILE_EXTR}1")
boot_info=(${boot_info})
boot_start=$((${boot_info[1]} / 2048)) # in MB
boot_size=$((${boot_info[3]} / 1048576)) # in MB
root_info=$(fdisk --bytes -l -o device,start,end,size $FW_DIR/$FW_FILE_EXTR | grep "${FW_FILE_EXTR}2")
root_info=($root_info)
root_info=$(fdisk --bytes -l -o device,start,end,size ${FW_DIR}/${FW_FILE_EXTR} | grep "${FW_FILE_EXTR}2")
root_info=(${root_info})
root_start=$((${root_info[1]} / 2048)) # in MB
root_size=$((${root_info[3]} / 1048576)) # in MB
echo $root_start $root_size > $FW_DIR/$ROOT_INFO_FILE
echo ${root_start} ${root_size} > ${FW_DIR}/${ROOT_INFO_FILE}
dd if=$FW_DIR/$FW_FILE_EXTR skip=$boot_start of=$BOOT_DEV bs=1048576 count=$boot_size &>$FW_DIR/$DD_LOG_FILE &
dd if=${FW_DIR}/${FW_FILE_EXTR} skip=${boot_start} of=${BOOT_DEV} bs=1048576 count=${boot_size} &>${FW_DIR}/${DD_LOG_FILE} &
pid=$!
echo $pid > $FW_DIR/$DD_PID_FILE
wait $pid
echo ${pid} > ${FW_DIR}/${DD_PID_FILE}
wait ${pid}
mount -T /etc/fstab.disk -o rw /boot
@ -342,21 +342,21 @@ function flash_boot() {
# and should restore any /boot configuration that needs to be preserved across updates
# from the old boot dir to the current (new) /boot dir
if [ -x /usr/libexec/fw-restore-boot-cfg ]; then
/usr/libexec/fw-restore-boot-cfg $FW_DIR/old_boot 2>/dev/null || true
/usr/libexec/fw-restore-boot-cfg ${FW_DIR}/old_boot 2>/dev/null || true
fi
touch $FW_DIR/$BOOT_READY_FILE
touch ${FW_DIR}/${BOOT_READY_FILE}
}
function flash_boot_status() {
if [ -f $FW_DIR/$DD_PID_FILE ]; then
pid=$(cat $FW_DIR/$DD_PID_FILE)
if kill -0 $pid &>/dev/null; then
if [ -f ${FW_DIR}/${DD_PID_FILE} ]; then
pid=$(cat ${FW_DIR}/${DD_PID_FILE})
if kill -0 ${pid} &>/dev/null; then
echo "running"
return
fi
fi
if [ -f $FW_DIR/$BOOT_READY_FILE ]; then
if [ -f ${FW_DIR}/${BOOT_READY_FILE} ]; then
echo "done"
fi
}
@ -376,7 +376,7 @@ function flash_cleanup() {
function flash_reboot() {
echo "preparing for reboot..."
board=$(cat $SYS_BOARD_FILE)
board=$(cat ${SYS_BOARD_FILE})
# the /usr/libexec/fw-prepare-boot script should be present and should
# make the necessary changes to the current boot configuration so that
@ -399,28 +399,28 @@ function flash_reboot() {
function show_status() {
status=$(flash_boot_status)
if [ "$status" == "running" ]; then
if [ "${status}" == "running" ]; then
echo "flashing boot $(new_version)"
return
elif [ "$status" == "done" ]; then
elif [ "${status}" == "done" ]; then
echo "boot ready $(new_version)"
return
fi
status=$(extract_status)
if [ "$status" == "running" ]; then
if [ "${status}" == "running" ]; then
echo "extracting $(new_version)"
return
elif [ "$status" == "done" ]; then
elif [ "${status}" == "done" ]; then
echo "extracted $(new_version)"
return
fi
status=$(download_status)
if [ "$status" == "running" ]; then
if [ "${status}" == "running" ]; then
echo "downloading $(new_version)"
return
elif [ -n "$status" ]; then
elif [ -n "${status}" ]; then
echo "downloaded $(new_version)"
return
fi
@ -450,7 +450,7 @@ function do_upgrade() {
function new_version() {
cat $FW_DIR/$VER_FILE
cat ${FW_DIR}/${VER_FILE}
}
@ -458,7 +458,7 @@ case "$1" in
versions)
show_json="false"
test "$2" == "-j" && show_json="true"
show_versions $show_json
show_versions ${show_json}
;;
current)

View File

@ -7,14 +7,14 @@ usage() {
exit 1
}
test -z "$GPIO" && usage
test -e /sys/class/gpio/gpio$GPIO || echo $GPIO > /sys/class/gpio/export
test -z "${GPIO}" && usage
test -e /sys/class/gpio/gpio${GPIO} || echo ${GPIO} > /sys/class/gpio/export
if [ -n "$2" ]; then
echo out > /sys/class/gpio/gpio$GPIO/direction
echo $2 > /sys/class/gpio/gpio$GPIO/value
echo out > /sys/class/gpio/gpio${GPIO}/direction
echo $2 > /sys/class/gpio/gpio${GPIO}/value
else
echo in > /sys/class/gpio/gpio$GPIO/direction
cat /sys/class/gpio/gpio$GPIO/value
echo in > /sys/class/gpio/gpio${GPIO}/direction
cat /sys/class/gpio/gpio${GPIO}/value
fi

View File

@ -7,22 +7,22 @@ fi
function check_prerelease() {
read line
if [[ "$line" =~ ^[0-9._]+\| ]]; then
echo "$line"
if [[ "${line}" =~ ^[0-9._]+\| ]]; then
echo "${line}"
else
echo "$line" | sed 's/|false|/|true|/'
echo "${line}" | sed 's/|false|/|true|/'
fi
}
extensions=".img.gz .img.xz .img"
opts="-s -S -f"
test -n "$FW_USERNAME" && opts+=" --user $FW_USERNAME:$FW_PASSWORD"
test -n "${FW_USERNAME}" && opts+=" --user ${FW_USERNAME}:${FW_PASSWORD}"
url="https://api.bitbucket.org/2.0/repositories/$1/downloads?pagelen=100&_=$(date +%s)"
rtrimstr=$(for e in $extensions; do echo -n " | rtrimstr(\"$e\")"; done)
rtrimstr=$(for e in ${extensions}; do echo -n " | rtrimstr(\"${e}\")"; done)
jq_expr=".values[] | [{a: .name | split(\"-\"), url: .links.self.href, date: .created_on | split(\"T\")[0]}] |
map((.a[2] $rtrimstr), \"false\", .a[1], .url, .date) | join(\"|\")"
map((.a[2] ${rtrimstr}), \"false\", .a[1], .url, .date) | join(\"|\")"
curl $opts $url | jq --raw-output "$jq_expr" | while read line; do echo "$line" | check_prerelease; done
curl ${opts} ${url} | jq --raw-output "${jq_expr}" | while read line; do echo "${line}" | check_prerelease; done
exit ${PIPESTATUS[0]}

View File

@ -6,13 +6,13 @@ if [ -z "$1" ]; then
fi
opts="-s -S -f"
test -n "$FW_USERNAME" && opts+=" --user $FW_USERNAME:$FW_PASSWORD"
test -n "${FW_USERNAME}" && opts+=" --user ${FW_USERNAME}:${FW_PASSWORD}"
url=https://api.github.com/repos/$1/releases
jq_expr='.[] | {version: .name, prerelease: .prerelease | tostring} +
(.assets[] | {name: .name | split("-")[1], url: .browser_download_url}) +
({date: .created_at | split("T")[0]}) | flatten | join("|")'
curl $opts $url | jq --raw-output "$jq_expr"
curl ${opts} ${url} | jq --raw-output "${jq_expr}"
exit ${PIPESTATUS[0]}

View File

@ -23,8 +23,8 @@ rm -f /data/etc/shadow-
# set root and admin passwords (admin is just an alias for root)
echo -en "$PASSWORD\n$PASSWORD\n" | passwd -a md5 &>/dev/null # root
echo -en "$PASSWORD\n$PASSWORD\n" | passwd -a md5 admin &>/dev/null # admin
echo -en "${PASSWORD}\n${PASSWORD}\n" | passwd -a md5 &>/dev/null # root
echo -en "${PASSWORD}\n${PASSWORD}\n" | passwd -a md5 admin &>/dev/null # admin
sed -r -i 's/root:([^:]+):[[:digit:]]+:/root:\1::/' /data/etc/shadow # removes pwd expiration
sed -r -i 's/admin:([^:]+):[[:digit:]]+:/admin:\1::/' /data/etc/shadow # removes pwd expiration
@ -32,7 +32,7 @@ sed -r -i 's/admin:([^:]+):[[:digit:]]+:/admin:\1::/' /data/etc/shadow # removes
# call admin password hooks in /etc/adminpasswd.d
if [ -d /etc/adminpasswd.d ]; then
for script in /etc/adminpasswd.d/*; do
test -x $script && $script
test -x ${script} && ${script}
done
fi

View File

@ -3,50 +3,50 @@
set -e
export TARGET="$1"
export BOARD=$(basename $(dirname $TARGET))
export BOARD=$(basename $(dirname ${TARGET}))
export COMMON_DIR=$(dirname $0)
export BOARD_DIR=$COMMON_DIR/../$BOARD
export BOOT_DIR=$TARGET/../images/boot/
export IMG_DIR=$TARGET/../images
export BOARD_DIR=${COMMON_DIR}/../${BOARD}
export BOOT_DIR=${TARGET}/../images/boot/
export IMG_DIR=${TARGET}/../images
mkdir -p $BOOT_DIR
mkdir -p ${BOOT_DIR}
if [ -x $BOARD_DIR/postscript.sh ]; then
$BOARD_DIR/postscript.sh
if [ -x ${BOARD_DIR}/postscript.sh ]; then
${BOARD_DIR}/postscript.sh
fi
# cleanups
$COMMON_DIR/cleanups.sh
if [ -x $BOARD_DIR/cleanups.sh ]; then
$BOARD_DIR/cleanups.sh
${COMMON_DIR}/cleanups.sh
if [ -x ${BOARD_DIR}/cleanups.sh ]; then
${BOARD_DIR}/cleanups.sh
fi
# transform /var contents as needed
rm -rf $TARGET/var/cache
rm -rf $TARGET/var/lib
rm -rf $TARGET/var/lock
rm -rf $TARGET/var/log
rm -rf $TARGET/var/run
rm -rf $TARGET/var/spool
rm -rf $TARGET/var/tmp
rm -rf ${TARGET}/var/cache
rm -rf ${TARGET}/var/lib
rm -rf ${TARGET}/var/lock
rm -rf ${TARGET}/var/log
rm -rf ${TARGET}/var/run
rm -rf ${TARGET}/var/spool
rm -rf ${TARGET}/var/tmp
ln -s /tmp $TARGET/var/cache
ln -s /data/varlib $TARGET/var/lib
ln -s /tmp $TARGET/var/lock
ln -s /data/log $TARGET/var/log
ln -s /tmp $TARGET/var/run
ln -s /tmp $TARGET/var/spool
ln -s /tmp $TARGET/var/tmp
ln -s /tmp $TARGET/run
ln -s /tmp ${TARGET}/var/cache
ln -s /data/varlib ${TARGET}/var/lib
ln -s /tmp ${TARGET}/var/lock
ln -s /data/log ${TARGET}/var/log
ln -s /tmp ${TARGET}/var/run
ln -s /tmp ${TARGET}/var/spool
ln -s /tmp ${TARGET}/var/tmp
ln -s /tmp ${TARGET}/run
# board-specific os.conf
if [ -r $BOARD_DIR/os.conf ]; then
for line in $(cat $BOARD_DIR/os.conf); do
key=$(echo $line | cut -d '=' -f 1)
sed -i -r "s/$key=.*/$line/" /$TARGET/etc/os.conf
if [ -r ${BOARD_DIR}/os.conf ]; then
for line in $(cat ${BOARD_DIR}/os.conf); do
key=$(echo ${line} | cut -d '=' -f 1)
sed -i -r "s/${key}=.*/${line}/" /${TARGET}/etc/os.conf
done
fi
# add admin user alias
echo "admin:x:0:0:root:/root:/bin/sh" >> $TARGET/etc/passwd
echo "admin:x:0:0:root:/root:/bin/sh" >> ${TARGET}/etc/passwd

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.uboot $BOARD_DIR/uInitrd
cp ${IMG_DIR}/rootfs.cpio.uboot ${BOARD_DIR}/uInitrd

View File

@ -1,13 +1,13 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export UBOOT_BIN=$BOARD_DIR/u-boot-with-spl.bin
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
export UBOOT_BIN=${BOARD_DIR}/u-boot-with-spl.bin
export UBOOT_SEEK=16
export BOOT_START=20
source $COMMON_DIR/mkimage.sh
source ${COMMON_DIR}/mkimage.sh

View File

@ -2,10 +2,10 @@
set -e
$HOST_DIR/bin/mkimage -C none -A arm -T script -d $BOARD_DIR/boot.cmd $BOOT_DIR/boot.scr
$HOST_DIR/bin/mkimage -C none -A arm -T script -d $BOARD_DIR/boot-fwupdater.cmd $BOOT_DIR/boot-fwupdater.scr
${HOST_DIR}/bin/mkimage -C none -A arm -T script -d ${BOARD_DIR}/boot.cmd ${BOOT_DIR}/boot.scr
${HOST_DIR}/bin/mkimage -C none -A arm -T script -d ${BOARD_DIR}/boot-fwupdater.cmd ${BOOT_DIR}/boot-fwupdater.scr
cp $IMG_DIR/zImage $BOOT_DIR
cp $BOARD_DIR/sun8i-h3-nanopi-neo.dtb $BOOT_DIR
cp $BOARD_DIR/rootfs.cpio.uboot $BOOT_DIR
cp ${IMG_DIR}/zImage ${BOOT_DIR}
cp ${BOARD_DIR}/sun8i-h3-nanopi-neo.dtb ${BOOT_DIR}
cp ${BOARD_DIR}/rootfs.cpio.uboot ${BOOT_DIR}

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.uboot $BOARD_DIR/uInitrd
cp ${IMG_DIR}/rootfs.cpio.uboot ${BOARD_DIR}/uInitrd

View File

@ -1,13 +1,13 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export UBOOT_BIN=$BOARD_DIR/u-boot-with-spl.bin
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
export UBOOT_BIN=${BOARD_DIR}/u-boot-with-spl.bin
export UBOOT_SEEK=16
export BOOT_START=20
source $COMMON_DIR/mkimage.sh
source ${COMMON_DIR}/mkimage.sh

View File

@ -2,10 +2,10 @@
set -e
$HOST_DIR/bin/mkimage -C none -A arm -T script -d $BOARD_DIR/boot.cmd $BOOT_DIR/boot.scr
$HOST_DIR/bin/mkimage -C none -A arm -T script -d $BOARD_DIR/boot-fwupdater.cmd $BOOT_DIR/boot-fwupdater.scr
${HOST_DIR}/bin/mkimage -C none -A arm -T script -d ${BOARD_DIR}/boot.cmd ${BOOT_DIR}/boot.scr
${HOST_DIR}/bin/mkimage -C none -A arm -T script -d ${BOARD_DIR}/boot-fwupdater.cmd ${BOOT_DIR}/boot-fwupdater.scr
cp $IMG_DIR/Image $BOOT_DIR
cp $BOARD_DIR/sun50i-h5-nanopi-neo2.dtb $BOOT_DIR
cp $BOARD_DIR/rootfs.cpio.uboot $BOOT_DIR
cp ${IMG_DIR}/Image ${BOOT_DIR}
cp ${BOARD_DIR}/sun50i-h5-nanopi-neo2.dtb ${BOOT_DIR}
cp ${BOARD_DIR}/rootfs.cpio.uboot ${BOOT_DIR}

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.uboot $BOARD_DIR/uInitrd
cp ${IMG_DIR}/rootfs.cpio.uboot ${BOARD_DIR}/uInitrd

View File

@ -1,16 +1,16 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export UBOOT_BIN=$IMG_DIR/u-boot.bin
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
export UBOOT_BIN=${IMG_DIR}/u-boot.bin
export UBOOT_SEEK=64
BL1=$IMG_DIR/bl1.bin.hardkernel
BL1=${IMG_DIR}/bl1.bin.hardkernel
source $COMMON_DIR/mkimage.sh
source ${COMMON_DIR}/mkimage.sh
dd conv=notrunc if=$BL1 of=$DISK_IMG bs=1 count=442
dd conv=notrunc if=$BL1 of=$DISK_IMG bs=512 skip=1 seek=1
dd conv=notrunc if=${BL1} of=${DISK_IMG} bs=1 count=442
dd conv=notrunc if=${BL1} of=${DISK_IMG} bs=512 skip=1 seek=1

View File

@ -3,23 +3,23 @@
set -e
# boot directory
mkdir -p $BOOT_DIR
mkdir -p ${BOOT_DIR}
cp $IMG_DIR/uImage $BOOT_DIR
cp $IMG_DIR/meson8b_odroidc.dtb $BOOT_DIR
cp $BOARD_DIR/bl1.bin.hardkernel $IMG_DIR
cp $BOARD_DIR/u-boot.bin $IMG_DIR
cp $BOARD_DIR/boot.ini $BOOT_DIR
cp $BOARD_DIR/uInitrd $BOOT_DIR
cp ${IMG_DIR}/uImage ${BOOT_DIR}
cp ${IMG_DIR}/meson8b_odroidc.dtb ${BOOT_DIR}
cp ${BOARD_DIR}/bl1.bin.hardkernel ${IMG_DIR}
cp ${BOARD_DIR}/u-boot.bin ${IMG_DIR}
cp ${BOARD_DIR}/boot.ini ${BOOT_DIR}
cp ${BOARD_DIR}/uInitrd ${BOOT_DIR}
# fix some lib dirs
if ! [ -L $TARGET/lib/arm-linux-gnueabihf ]; then
mv $TARGET/lib/arm-linux-gnueabihf/* $TARGET/lib
rmdir $TARGET/lib/arm-linux-gnueabihf
ln -s /lib $TARGET/lib/arm-linux-gnueabihf
if ! [ -L ${TARGET}/lib/arm-linux-gnueabihf ]; then
mv ${TARGET}/lib/arm-linux-gnueabihf/* ${TARGET}/lib
rmdir ${TARGET}/lib/arm-linux-gnueabihf
ln -s /lib ${TARGET}/lib/arm-linux-gnueabihf
fi
if ! [ -L $TARGET/usr/lib/arm-linux-gnueabihf ]; then
ln -s /usr/lib $TARGET/usr/lib/arm-linux-gnueabihf
if ! [ -L ${TARGET}/usr/lib/arm-linux-gnueabihf ]; then
ln -s /usr/lib ${TARGET}/usr/lib/arm-linux-gnueabihf
fi

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.uboot $BOARD_DIR/uInitrd
cp ${IMG_DIR}/rootfs.cpio.uboot ${BOARD_DIR}/uInitrd

View File

@ -1,16 +1,16 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export UBOOT_BIN=$IMG_DIR/u-boot.bin
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
export UBOOT_BIN=${IMG_DIR}/u-boot.bin
export UBOOT_SEEK=97
BL1=$IMG_DIR/bl1.bin.hardkernel
BL1=${IMG_DIR}/bl1.bin.hardkernel
source $COMMON_DIR/mkimage.sh
source ${COMMON_DIR}/mkimage.sh
dd conv=notrunc if=$BL1 of=$DISK_IMG bs=1 count=442
dd conv=notrunc if=$BL1 of=$DISK_IMG bs=512 skip=1 seek=1
dd conv=notrunc if=${BL1} of=${DISK_IMG} bs=1 count=442
dd conv=notrunc if=${BL1} of=${DISK_IMG} bs=512 skip=1 seek=1

View File

@ -3,12 +3,12 @@
set -e
# boot directory
mkdir -p $BOOT_DIR
mkdir -p ${BOOT_DIR}
cp $IMG_DIR/Image $BOOT_DIR
cp $IMG_DIR/meson64_odroidc2.dtb $BOOT_DIR
cp $BOARD_DIR/bl1.bin.hardkernel $IMG_DIR
cp $BOARD_DIR/u-boot.bin $IMG_DIR
cp $BOARD_DIR/boot.ini $BOOT_DIR
cp $BOARD_DIR/uInitrd $BOOT_DIR
cp ${IMG_DIR}/Image ${BOOT_DIR}
cp ${IMG_DIR}/meson64_odroidc2.dtb ${BOOT_DIR}
cp ${BOARD_DIR}/bl1.bin.hardkernel ${IMG_DIR}
cp ${BOARD_DIR}/u-boot.bin ${IMG_DIR}
cp ${BOARD_DIR}/boot.ini ${BOOT_DIR}
cp ${BOARD_DIR}/uInitrd ${BOOT_DIR}

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.uboot $BOARD_DIR/uInitrd
cp ${IMG_DIR}/rootfs.cpio.uboot ${BOARD_DIR}/uInitrd

View File

@ -1,19 +1,19 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export UBOOT_BIN=$IMG_DIR/u-boot.bin
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
export UBOOT_BIN=${IMG_DIR}/u-boot.bin
export UBOOT_SEEK=63
BL1=$IMG_DIR/bl1.bin.hardkernel
BL2=$IMG_DIR/bl2.bin.hardkernel
TZSW=$IMG_DIR/tzsw.bin.hardkernel
source $COMMON_DIR/mkimage.sh
BL1=${IMG_DIR}/bl1.bin.hardkernel
BL2=${IMG_DIR}/bl2.bin.hardkernel
TZSW=${IMG_DIR}/tzsw.bin.hardkernel
source ${COMMON_DIR}/mkimage.sh
dd conv=notrunc if=$BL1 of=$DISK_IMG bs=512 seek=1
dd conv=notrunc if=$BL2 of=$DISK_IMG bs=512 seek=31
dd conv=notrunc if=$TZSW of=$DISK_IMG bs=512 seek=719
dd conv=notrunc if=/dev/zero of=$DISK_IMG bs=512 seek=1231 count=32
dd conv=notrunc if=${BL1} of=${DISK_IMG} bs=512 seek=1
dd conv=notrunc if=${BL2} of=${DISK_IMG} bs=512 seek=31
dd conv=notrunc if=${TZSW} of=${DISK_IMG} bs=512 seek=719
dd conv=notrunc if=/dev/zero of=${DISK_IMG} bs=512 seek=1231 count=32

View File

@ -1,6 +1,6 @@
#!/bin/bash
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
case "$1" in
start)

View File

@ -3,15 +3,15 @@
set -e
# boot directory
mkdir -p $BOOT_DIR
mkdir -p ${BOOT_DIR}
cp $BOARD_DIR/bl1.bin.hardkernel $IMG_DIR
cp $BOARD_DIR/bl2.bin.hardkernel $IMG_DIR
cp $BOARD_DIR/tzsw.bin.hardkernel $IMG_DIR
cp $BOARD_DIR/u-boot.bin $IMG_DIR
cp ${BOARD_DIR}/bl1.bin.hardkernel ${IMG_DIR}
cp ${BOARD_DIR}/bl2.bin.hardkernel ${IMG_DIR}
cp ${BOARD_DIR}/tzsw.bin.hardkernel ${IMG_DIR}
cp ${BOARD_DIR}/u-boot.bin ${IMG_DIR}
cp $IMG_DIR/zImage $BOOT_DIR
cp $IMG_DIR/exynos5422-odroidxu4.dtb $BOOT_DIR
cp $BOARD_DIR/boot.ini $BOOT_DIR
cp $BOARD_DIR/uInitrd $BOOT_DIR
cp ${IMG_DIR}/zImage ${BOOT_DIR}
cp ${IMG_DIR}/exynos5422-odroidxu4.dtb ${BOOT_DIR}
cp ${BOARD_DIR}/boot.ini ${BOOT_DIR}
cp ${BOARD_DIR}/uInitrd ${BOOT_DIR}

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.uboot $BOARD_DIR/uInitrd
cp ${IMG_DIR}/rootfs.cpio.uboot ${BOARD_DIR}/uInitrd

View File

@ -1,13 +1,13 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export UBOOT_BIN=$IMG_DIR/u-boot-sunxi-with-spl.bin
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
export UBOOT_BIN=${IMG_DIR}/u-boot-sunxi-with-spl.bin
export UBOOT_SEEK=16
export BOOT_START=20
source $COMMON_DIR/mkimage.sh
source ${COMMON_DIR}/mkimage.sh

View File

@ -2,9 +2,9 @@
set -e
$HOST_DIR/bin/mkimage -C none -A arm -T script -d $BOARD_DIR/boot.cmd $BOOT_DIR/boot.scr
$HOST_DIR/bin/mkimage -C none -A arm -T script -d $BOARD_DIR/boot-fwupdater.cmd $BOOT_DIR/boot-fwupdater.scr
${HOST_DIR}/bin/mkimage -C none -A arm -T script -d ${BOARD_DIR}/boot.cmd ${BOOT_DIR}/boot.scr
${HOST_DIR}/bin/mkimage -C none -A arm -T script -d ${BOARD_DIR}/boot-fwupdater.cmd ${BOOT_DIR}/boot-fwupdater.scr
cp $IMG_DIR/zImage $BOOT_DIR
cp $IMG_DIR/sun8i-h3-orangepi-one.dtb $BOOT_DIR
cp $BOARD_DIR/rootfs.cpio.uboot $BOOT_DIR
cp ${IMG_DIR}/zImage ${BOOT_DIR}
cp ${IMG_DIR}/sun8i-h3-orangepi-one.dtb ${BOOT_DIR}
cp ${BOARD_DIR}/rootfs.cpio.uboot ${BOOT_DIR}

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.uboot $BOARD_DIR/uInitrd
cp ${IMG_DIR}/rootfs.cpio.uboot ${BOARD_DIR}/uInitrd

View File

@ -1,16 +1,16 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export UBOOT_BIN=$BOARD_DIR/u-boot-with-dtb.bin
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
export UBOOT_BIN=${BOARD_DIR}/u-boot-with-dtb.bin
export UBOOT_SEEK=38192
export BOOT_START=20
BOOT0=$BOARD_DIR/boot0.bin
BOOT0=${BOARD_DIR}/boot0.bin
source $COMMON_DIR/mkimage.sh
source ${COMMON_DIR}/mkimage.sh
dd conv=notrunc if=$BOOT0 of=$DISK_IMG bs=1k seek=8 count=32 oflag=direct
dd conv=notrunc if=${BOOT0} of=${DISK_IMG} bs=1k seek=8 count=32 oflag=direct

View File

@ -3,10 +3,10 @@
set -e
# boot directory
mkdir -p $BOOT_DIR/pine64
mkdir -p ${BOOT_DIR}/pine64
cp $IMG_DIR/Image $BOOT_DIR/kernel.img
cp $BOARD_DIR/uEnv.txt $BOOT_DIR
cp $BOARD_DIR/dtb/* $BOOT_DIR/pine64
cp $BOARD_DIR/fwupdater.img $BOOT_DIR
cp ${IMG_DIR}/Image ${BOOT_DIR}/kernel.img
cp ${BOARD_DIR}/uEnv.txt ${BOOT_DIR}
cp ${BOARD_DIR}/dtb/* ${BOOT_DIR}/pine64
cp ${BOARD_DIR}/fwupdater.img ${BOOT_DIR}

View File

@ -1,5 +1,5 @@
#!/bin/sh
rm -rf $TARGET/opt/vc/src
rm -rf $TARGET/opt/vc/include
rm -rf ${TARGET}/opt/vc/src
rm -rf ${TARGET}/opt/vc/include

View File

@ -1,4 +1,4 @@
#!/bin/bash
cp $IMG_DIR/rootfs.cpio.gz $BOARD_DIR/fwupdater.gz
cp ${IMG_DIR}/rootfs.cpio.gz ${BOARD_DIR}/fwupdater.gz

View File

@ -1,10 +1,10 @@
#!/bin/bash -e
BOARD_DIR=$(dirname $0)
COMMON_DIR=$BOARD_DIR/../common
COMMON_DIR=${BOARD_DIR}/../common
export BOARD=$(basename $BOARD_DIR)
export IMG_DIR=$BOARD_DIR/../../output/$BOARD/images/
export BOARD=$(basename ${BOARD_DIR})
export IMG_DIR=${BOARD_DIR}/../../output/${BOARD}/images/
$COMMON_DIR/mkimage.sh
${COMMON_DIR}/mkimage.sh

View File

@ -2,18 +2,18 @@
GOV="ondemand"
CPUFREQDIR="/sys/devices/system/cpu/cpu0/cpufreq"
GOVDIR="/sys/devices/system/cpu/cpufreq/$GOV"
GOVDIR="/sys/devices/system/cpu/cpufreq/${GOV}"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
configure() {
echo $GOV > $CPUFREQDIR/scaling_governor
if [[ $GOV == "ondemand" ]]; then
echo 50 > $GOVDIR/up_threshold
echo 100000 > $GOVDIR/sampling_rate
echo 50 > $GOVDIR/sampling_down_factor
echo 1 > $GOVDIR/io_is_busy
echo ${GOV} > ${CPUFREQDIR}/scaling_governor
if [[ ${GOV} == "ondemand" ]]; then
echo 50 > ${GOVDIR}/up_threshold
echo 100000 > ${GOVDIR}/sampling_rate
echo 50 > ${GOVDIR}/sampling_down_factor
echo 1 > ${GOVDIR}/io_is_busy
fi
}

View File

@ -3,7 +3,7 @@
CHECK_INTERVAL=30
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
get_throttled_now() {
t=$(vcgencmd get_throttled | cut -d '=' -f 2)
@ -22,23 +22,23 @@ get_throttled_since_boot() {
watch_now() {
while true; do
t=$(get_throttled_now)
if [[ -n "$t" ]]; then
logger -t throttlewatch -s "currently: $t"
if [[ -n "${t}" ]]; then
logger -t throttlewatch -s "currently: ${t}"
fi
sleep $CHECK_INTERVAL
sleep ${CHECK_INTERVAL}
done
}
watch_since_boot() {
while true; do
t=$(get_throttled_since_boot)
if [[ -n "$t" ]]; then
logger -t throttlewatch -s "since boot: $t"
if [[ -n "${t}" ]]; then
logger -t throttlewatch -s "since boot: ${t}"
break
fi
sleep $CHECK_INTERVAL
sleep ${CHECK_INTERVAL}
done
}

View File

@ -5,11 +5,11 @@ BOOT_CONF="/boot/bluetooth.conf"
CONF="/data/etc/bluetooth.conf"
test -f $CONF || test -f $BOOT_CONF || test -f $SYS_CONF || exit 0
test -f ${CONF} || test -f ${BOOT_CONF} || test -f ${SYS_CONF} || exit 0
test -d "/proc/device-tree/soc/gpio@7e200000/uart0_pins" || exit 0 # no rpi bluetooth detected
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
function start() {
if [[ "$(cat /proc/device-tree/aliases/uart0)" = "$(cat /proc/device-tree/aliases/serial1)" ]] ; then

View File

@ -6,5 +6,5 @@ if [ -z "$1" ]; then
fi
old_boot=$1
cp $old_boot/config.txt /boot
cp ${old_boot}/config.txt /boot

View File

@ -2,17 +2,17 @@
set -e
RPI_FW_DIR=$TARGET/../images/rpi-firmware
RPI_FW_DIR=${TARGET}/../images/rpi-firmware
cp $BOARD_DIR/config.txt $BOOT_DIR
cp $BOARD_DIR/cmdline.txt $BOOT_DIR
cp $BOARD_DIR/fwupdater.gz $BOOT_DIR
cp $IMG_DIR/zImage $BOOT_DIR/kernel.img
cp $IMG_DIR/bcm2708-rpi-b.dtb $BOOT_DIR
cp $IMG_DIR/bcm2708-rpi-b-plus.dtb $BOOT_DIR
cp $IMG_DIR/bcm2708-rpi-cm.dtb $BOOT_DIR
cp $IMG_DIR/bcm2708-rpi-0-w.dtb $BOOT_DIR
cp $RPI_FW_DIR/bootcode.bin $BOOT_DIR
cp $RPI_FW_DIR/start.elf $BOOT_DIR
cp $RPI_FW_DIR/fixup.dat $BOOT_DIR
cp ${BOARD_DIR}/config.txt ${BOOT_DIR}
cp ${BOARD_DIR}/cmdline.txt ${BOOT_DIR}
cp ${BOARD_DIR}/fwupdater.gz ${BOOT_DIR}
cp ${IMG_DIR}/zImage ${BOOT_DIR}/kernel.img
cp ${IMG_DIR}/bcm2708-rpi-b.dtb ${BOOT_DIR}
cp ${IMG_DIR}/bcm2708-rpi-b-plus.dtb ${BOOT_DIR}
cp ${IMG_DIR}/bcm2708-rpi-cm.dtb ${BOOT_DIR}
cp ${IMG_DIR}/bcm2708-rpi-0-w.dtb ${BOOT_DIR}
cp ${RPI_FW_DIR}/bootcode.bin ${BOOT_DIR}
cp ${RPI_FW_DIR}/start.elf ${BOOT_DIR}
cp ${RPI_FW_DIR}/fixup.dat ${BOOT_DIR}

View File

@ -2,18 +2,18 @@
GOV="ondemand"
CPUFREQDIR="/sys/devices/system/cpu/cpu0/cpufreq"
GOVDIR="/sys/devices/system/cpu/cpufreq/$GOV"
GOVDIR="/sys/devices/system/cpu/cpufreq/${GOV}"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
configure() {
echo $GOV > $CPUFREQDIR/scaling_governor
if [[ $GOV == "ondemand" ]]; then
echo 50 > $GOVDIR/up_threshold
echo 100000 > $GOVDIR/sampling_rate
echo 50 > $GOVDIR/sampling_down_factor
echo 1 > $GOVDIR/io_is_busy
echo ${GOV} > ${CPUFREQDIR}/scaling_governor
if [[ ${GOV} == "ondemand" ]]; then
echo 50 > ${GOVDIR}/up_threshold
echo 100000 > ${GOVDIR}/sampling_rate
echo 50 > ${GOVDIR}/sampling_down_factor
echo 1 > ${GOVDIR}/io_is_busy
fi
}

View File

@ -3,7 +3,7 @@
CHECK_INTERVAL=30
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
get_throttled_now() {
t=$(vcgencmd get_throttled | cut -d '=' -f 2)
@ -22,23 +22,23 @@ get_throttled_since_boot() {
watch_now() {
while true; do
t=$(get_throttled_now)
if [[ -n "$t" ]]; then
logger -t throttlewatch -s "currently: $t"
if [[ -n "${t}" ]]; then
logger -t throttlewatch -s "currently: ${t}"
fi
sleep $CHECK_INTERVAL
sleep ${CHECK_INTERVAL}
done
}
watch_since_boot() {
while true; do
t=$(get_throttled_since_boot)
if [[ -n "$t" ]]; then
logger -t throttlewatch -s "since boot: $t"
if [[ -n "${t}" ]]; then
logger -t throttlewatch -s "since boot: ${t}"
break
fi
sleep $CHECK_INTERVAL
sleep ${CHECK_INTERVAL}
done
}

View File

@ -6,5 +6,5 @@ if [ -z "$1" ]; then
fi
old_boot=$1
cp $old_boot/config.txt /boot
cp ${old_boot}/config.txt /boot

View File

@ -2,14 +2,14 @@
set -e
RPI_FW_DIR=$TARGET/../images/rpi-firmware
RPI_FW_DIR=${TARGET}/../images/rpi-firmware
cp $BOARD_DIR/config.txt $BOOT_DIR
cp $BOARD_DIR/cmdline.txt $BOOT_DIR
cp $BOARD_DIR/fwupdater.gz $BOOT_DIR
cp $IMG_DIR/zImage $BOOT_DIR/kernel.img
cp $IMG_DIR/bcm2709-rpi-2-b.dtb $BOOT_DIR
cp $RPI_FW_DIR/bootcode.bin $BOOT_DIR
cp $RPI_FW_DIR/start.elf $BOOT_DIR
cp $RPI_FW_DIR/fixup.dat $BOOT_DIR
cp ${BOARD_DIR}/config.txt ${BOOT_DIR}
cp ${BOARD_DIR}/cmdline.txt ${BOOT_DIR}
cp ${BOARD_DIR}/fwupdater.gz ${BOOT_DIR}
cp ${IMG_DIR}/zImage ${BOOT_DIR}/kernel.img
cp ${IMG_DIR}/bcm2709-rpi-2-b.dtb ${BOOT_DIR}
cp ${RPI_FW_DIR}/bootcode.bin ${BOOT_DIR}
cp ${RPI_FW_DIR}/start.elf ${BOOT_DIR}
cp ${RPI_FW_DIR}/fixup.dat ${BOOT_DIR}

View File

@ -2,18 +2,18 @@
GOV="ondemand"
CPUFREQDIR="/sys/devices/system/cpu/cpu0/cpufreq"
GOVDIR="/sys/devices/system/cpu/cpufreq/$GOV"
GOVDIR="/sys/devices/system/cpu/cpufreq/${GOV}"
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
configure() {
echo $GOV > $CPUFREQDIR/scaling_governor
if [[ $GOV == "ondemand" ]]; then
echo 50 > $GOVDIR/up_threshold
echo 100000 > $GOVDIR/sampling_rate
echo 50 > $GOVDIR/sampling_down_factor
echo 1 > $GOVDIR/io_is_busy
echo ${GOV} > ${CPUFREQDIR}/scaling_governor
if [[ ${GOV} == "ondemand" ]]; then
echo 50 > ${GOVDIR}/up_threshold
echo 100000 > ${GOVDIR}/sampling_rate
echo 50 > ${GOVDIR}/sampling_down_factor
echo 1 > ${GOVDIR}/io_is_busy
fi
}

View File

@ -3,7 +3,7 @@
CHECK_INTERVAL=30
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
get_throttled_now() {
t=$(vcgencmd get_throttled | cut -d '=' -f 2)
@ -22,23 +22,23 @@ get_throttled_since_boot() {
watch_now() {
while true; do
t=$(get_throttled_now)
if [[ -n "$t" ]]; then
logger -t throttlewatch -s "currently: $t"
if [[ -n "${t}" ]]; then
logger -t throttlewatch -s "currently: ${t}"
fi
sleep $CHECK_INTERVAL
sleep ${CHECK_INTERVAL}
done
}
watch_since_boot() {
while true; do
t=$(get_throttled_since_boot)
if [[ -n "$t" ]]; then
logger -t throttlewatch -s "since boot: $t"
if [[ -n "${t}" ]]; then
logger -t throttlewatch -s "since boot: ${t}"
break
fi
sleep $CHECK_INTERVAL
sleep ${CHECK_INTERVAL}
done
}

View File

@ -5,11 +5,11 @@ BOOT_CONF="/boot/bluetooth.conf"
CONF="/data/etc/bluetooth.conf"
test -f $CONF || test -f $BOOT_CONF || test -f $SYS_CONF || exit 0
test -f ${CONF} || test -f ${BOOT_CONF} || test -f ${SYS_CONF} || exit 0
test -d "/proc/device-tree/soc/gpio@7e200000/uart0_pins" || exit 0 # no rpi bluetooth detected
test -n "$OS_VERSION" || source /etc/init.d/base
test -n "${OS_VERSION}" || source /etc/init.d/base
function start() {
if [[ "$(cat /proc/device-tree/aliases/uart0)" = "$(cat /proc/device-tree/aliases/serial1)" ]] ; then

View File

@ -6,5 +6,5 @@ if [ -z "$1" ]; then
fi
old_boot=$1
cp $old_boot/config.txt /boot
cp ${old_boot}/config.txt /boot

View File

@ -2,16 +2,16 @@
set -e
RPI_FW_DIR=$TARGET/../images/rpi-firmware
RPI_FW_DIR=${TARGET}/../images/rpi-firmware
cp $BOARD_DIR/config.txt $BOOT_DIR
cp $BOARD_DIR/cmdline.txt $BOOT_DIR
cp $BOARD_DIR/fwupdater.gz $BOOT_DIR
cp $IMG_DIR/zImage $BOOT_DIR/kernel.img
cp $IMG_DIR/bcm2710-rpi-3-b.dtb $BOOT_DIR
cp $IMG_DIR/bcm2710-rpi-3-b-plus.dtb $BOOT_DIR
cp $IMG_DIR/bcm2710-rpi-cm3.dtb $BOOT_DIR
cp $RPI_FW_DIR/bootcode.bin $BOOT_DIR
cp $RPI_FW_DIR/start.elf $BOOT_DIR
cp $RPI_FW_DIR/fixup.dat $BOOT_DIR
cp ${BOARD_DIR}/config.txt ${BOOT_DIR}
cp ${BOARD_DIR}/cmdline.txt ${BOOT_DIR}
cp ${BOARD_DIR}/fwupdater.gz ${BOOT_DIR}
cp ${IMG_DIR}/zImage ${BOOT_DIR}/kernel.img
cp ${IMG_DIR}/bcm2710-rpi-3-b.dtb ${BOOT_DIR}
cp ${IMG_DIR}/bcm2710-rpi-3-b-plus.dtb ${BOOT_DIR}
cp ${IMG_DIR}/bcm2710-rpi-cm3.dtb ${BOOT_DIR}
cp ${RPI_FW_DIR}/bootcode.bin ${BOOT_DIR}
cp ${RPI_FW_DIR}/start.elf ${BOOT_DIR}
cp ${RPI_FW_DIR}/fixup.dat ${BOOT_DIR}